Welcome

Welcome to Trias Politica Thesaurus Builder User Reference. This reference contains detailed information about all the features and functions of Trias Politica Thesaurus Builder. This software provides all your needs to successfully work on your thesaurus.

The reference manual is mainly organized by functional topics. However, we want to start with giving a brief overview of the present builder and the practical usage of thesauri.

Trias Politica Thesaurus Builder is exclusively distributed by Thesaurus Builder. For more information about the builder and updates look us up on our web site: http://www.thesaurusbuilder.com

For further information or questions, please contact us at the address below or send an email to: info@thesaurusbuilder.com

Thesaurus Builder

P.O. Box 13145-1536

Tehran - Iran

Tel: +98 912 5209710

Fax: +98 21 44247140

http://www.thesaurusbuilder.com

info@thesaurusbuilder.com

or

Acquisition Management Netherland bv

Lamonggracht 16, 1019 RE

Amsterdam - The Netherlands

Tel: +31 20 509 5040

Fax: +31 20 509 5044

http://www.acquisitionmanagement.nl

info@acquisitionmanagement.nl


What is a thesaurus?

A thesaurus can be defined as "a controlled vocabulary that leverages synonymous, hierarchical, and associative relationships among terms to help users find the information they need." It sounds rather complex, but once you understand the challenges that a thesaurus is designed to address, things should become clearer.

The value of a thesaurus stems from the inherent problems of natural language indexing and searching. Different users define the same query using different terms. Document authors, indexers, and information architects describe the same concepts using different terms. Consider the following example:

Figure 1: Many information needs go unanswered because a user's search terms don't map to the terms used by document authors and indexers.

Three users are looking for information about a car. However, they each use different terms to describe this same information need. Similarly, the people that indexed the documents selected different terms to describe the same concept. Each user has varying levels of success with no one finding all the relevant documents.

To address this problem, a thesaurus maps variant terms (synonyms, abbreviations, acronyms, and alternate spellings) to a single preferred term for each concept. For document indexers, the thesaurus tells them which index term must be used to describe each concept. This enforces indexing consistency. For users of the Web site, the thesaurus works in the background, mapping their keywords onto the single preferred term, so they find the complete set of relevant documents.

Figure 2: Variant terms serve as entry points into the information system, connecting the words that users have in mind with the preferred terms applied by document indexers.

A thesaurus can also leverage the richness of hierarchical and associative relationships. Users may express their information need at a broader or narrower level of specificity than that used by the indexer to describe the documents. The mapping of hierarchical relationships addresses this problem.

Figure 3: A thesaurus can be more than a dictionary of synonyms. You can also specify and leverage hierarchical and associative relationships.

Additionally, there may be value in mapping associations to related terms. In this example, the decision is made that users interested in automobiles may also be interested in the related terms, such as mechanic and accident. Identification of these subjective relationships increases the chances of success and promotes associative learning. In a commercial setting, the explicit suggestion that if you're interested in a particular product you may also be interested in other related products can be valuable to both buyers and sellers.

Source: Peter Morville


What is Trias Politica Thesaurus Builder?

Trias Politica Thesaurus Builder is a perfect and full multilingual thesaurus management software. It provides a wide range of tools to develop controlled vocabularies and enables information professionals to create and manage their own thesauri.

If you want to publish your thesaurus on the web, you can use the builder to easily generate your own thesaurus in a searchable HTML format, XML or another suitable format.

For more information, see other features of Thesaurus Builder.


Features

Trias Politica Thesaurus Builder 6.5.2 Professional Edition offers you the following features:

  • Ease of use

  • User friendly interface

  • Unlimited number of thesauri

  • Support for ISO 5964

  • Full multilingual thesauri support

    • Up to 134 languages per thesaurus (see: Supported Languages)

    • Asian Languages

    • Support right to left languages

    • Optionally auto switching between languages

    • Selecting Viewable languages

  • Security functions for thesaurus databases

  • Support for one image for each term

  • Support for user defined text format (Thesaurus Any Format)

  • Unlimited number of hierarchies per thesaurus

    • Support up to 200 hierarchical levels

  • Unlimited number of relationships for each term

  • Support for user defined relationships

    • Most common ontological relationships

      • Associative

      • Hierarchical

  • Automatic generation of reciprocal relationships (including opposites)

    • Adding all non-existed related terms (and opposites) to the thesaurus at once

  • Support for all standard and some additional fields

    • Image

    • Broader Term

    • Narrower Term

    • Related Term

    • Opposite Term

    • Frequency

    • Historical Notes

    • Abbreviation

    • Abbreviation For

    • Use

    • Used For

    • See

    • See For

    • Synonyms

    • Concept number

    • Subject Category

    • Scope Notes

    • Input Date

    • Last Update

    • Approval Date

    • Not Valid Date

    • Term status

      • Candidate

      • Approved

      • Provisional

      • Not Valid

    • Corresponding Terms

    • Identical National Terms

    • Nearest National Terms

    • IUBMB Enzyme Committee Number

    • Chemical Abstracts Registry Number

    • Descriptions

    • Additional Notes

    • External Web Address

    • Complete information properties for each translation

    • Complete information properties for each non-preferred term

  • Quality Assurance (QA) Report (in background)

    • Check for multiple concept number for each term

    • Check for multiple terms for each concept number

    • Check for multiple translation for each term

    • Check for multiple terms with same translation

    • Check for the same broader terms

    • Check for being a term as both preferred and non-preferred term

    • Check for related and opposite terms existing

    • Check for duplicate terms with the same parent

    • Check for circular references

    • Check for two different relations between two terms

  • ASP and ASP.NET web site generator for Windows 2000/2003/2008 Server families

    • Search in multiple thesauri all at once

  • Special user interface for university of Basel thesaurus format.

  • Auto concept number assignment

    • Selecting the range of auto concept number assignment

    • Selecting the range of auto concept number assignment for each user

  • Merging thesauri

  • Very fast conversion between translations

  • Powerful search and replace functions

    • Selecting the results all at once

    • Search within the selected terms

    • Search within a specific range of dates

    • Replace all at once

  • Support for polyhierarchical thesauri (multiple BTs)

  • New TDE Features

    • Support terms multi selection

    • Copy & paste as child terms

    • Copy & paste as related terms

    • Copy & paste as opposites

    • Copy & paste as synonyms

    • Manual concept number changing for selected terms

    • Selecting viewable languages

  • Importing and exporting to Collexis™ .PSF format

  • Very fast report generation

  • Colored RTF reports:

    • Alphabetical Display

    • Hierarchical Relationships

    • Rotational Index

    • Equivalent Indexes, …

  • Colored XML reports

  • Bookmark terms

    • Simple navigation between bookmarked terms

  • Support restriction on Alphabetical Display and Rotational Index by subject category and dates

  • Various options for Alphabetical Display report

  • Support for importing from Alphabetical Display text files

  • Support user defined symbols

  • Keeping each thesaurus preferences in its database

  • Saving a part of thesaurus as a new thesaurus

  • Auto save

  • Auto apply records

  • Thesaurus statistics

  • Import translations from delimited text file

  • Online help

  • Separated stop list for each languages

  • Saving the deleted concept numbers in the repository

  • Support Windows XP themes

  • And many more …

About other editions:

  • Light Edition: These features are not included:

    • Internet Functions

    • Security Options

    • Merging databases functions

  • Student Edition: Exactly the same as the light version, but the maximum number of preferred terms is limited to 2500 terms per thesaurus.

  • Golden Eye Edition (freeware): This edition is specially provided to view Thesaurus Builder databases which are produced by other users. All the editing functions are removed from it, and the only available report is limited to RTF exports.


Supported Languages

Trias Politica Thesaurus Builder supports up to 134 languages per thesaurus. The languages and the related numbers which are used in the application are listed below:

  1. Afrikaans

  2. Albanian

  3. Arabic (Algeria)

  4. Arabic (Bahrain)

  5. Arabic (Egypt)

  6. Arabic (Iraq)

  7. Arabic (Jordan)

  8. Arabic (Kuwait)

  9. Arabic (Lebanon)

  10. Arabic (Libya)

  11. Arabic (Morocco)

  12. Arabic (Oman)

  13. Arabic (Qatar)

  14. Arabic (Saudi Arabia)

  15. Arabic (Syria)

  16. Arabic (Tunisia)

  17. Arabic (UAE)

  18. Arabic (Yemen)

  19. Azerbaijani (Cyrillic)

  20. Azerbaijani (Latin)

  21. Basque

  22. Belarusian

  23. Bulgarian

  24. Catalan

  25. Chinese (Hong Kong)

  26. Chinese (Macau)

  27. Chinese (PRC)

  28. Chinese (Singapore)

  29. Chinese (Taiwan)

  30. Croatian

  31. Czech

  32. Danish

  33. Divehi

  34. Dutch (Belgium)

  35. Dutch (Netherlands)

  36. English (Australia)

  37. English (Belize)

  38. English (Canada)

  39. English (Caribbean)

  40. English (Ireland)

  41. English (Jamaica)

  42. English (New Zealand)

  43. English (Philippines)

  44. English (South Africa)

  45. English (Trinidad)

  46. English (United Kingdom)

  47. English (United States)

  48. English (Zimbabwe)

  49. Estonian

  50. Faeroese

  51. Finnish

  52. French (Belgium)

  53. French (Canada)

  54. French (France)

  55. French (Luxembourg)

  56. French (Monaco)

  57. French (Switzerland)

  58. Gallegan

  59. Georgian

  60. German (Austria)

  61. German (Germany)

  62. German (Liechtenstein)

  63. German (Luxembourg)

  64. German (Switzerland)

  65. Greek

  66. Gujarati

  67. Hebrew

  68. Hindi

  69. Hungarian

  70. Icelandic

  71. Indonesian

  72. Italian (Italy)

  73. Italian (Switzerland)

  74. Japanese

  75. Kannada

  76. Kazakh

  77. Konkani

  78. Korean

  79. Latvian

  80. Lithuanian

  81. Malay (Brunei Darussalam)

  82. Malay (Malaysia)

  83. Marathi

  84. Mongolian

  85. Norwegian (Bokmal)

  86. Norwegian (Nynorsk)

  87. Persian

  88. Polish

  89. Portuguese (Brazil)

  90. Portuguese (Portugal)

  91. Punjabi

  92. Romanian

  93. Russian

  94. Sanskrit

  95. Serbian (Cyrillic)

  96. Serbian (Latin)

  97. Slovak

  98. Slovenian

  99. Spanish (Argentina)

  100. Spanish (Bolivia)

  101. Spanish (Chile)

  102. Spanish (Colombia)

  103. Spanish (Costa Rica)

  104. Spanish (Dominican Republic)

  105. Spanish (Ecuador)

  106. Spanish (El Salvador)

  107. Spanish (Guatemala)

  108. Spanish (Honduras)

  109. Spanish (Mexico)

  110. Spanish (Modern)

  111. Spanish (Nicaragua)

  112. Spanish (Panama)

  113. Spanish (Paraguay)

  114. Spanish (Peru)

  115. Spanish (Puerto Rico)

  116. Spanish (Spain)

  117. Spanish (Uruguay)

  118. Spanish (Venezuela)

  119. Swahili

  120. Swedish (Sweden)

  121. Swedish (Finland)

  122. Syriac

  123. Tamil

  124. Tatar

  125. Telugu

  126. Thai

  127. Turkish

  128. Ukrainian

  129. Urdu (India)

  130. Urdu (Pakistan)

  131. Uzbek (Cyrillic)

  132. Uzbek (Latin)

  133. Vietnamese

  134. Neutral


What is new?

Version history

Version 6.2.0 - 6.5.2

  • Customization: Special user interface for university of Basel theaurus (Ordered by University of Basel).

  • Improvement: ASP.NET web site generator has been added to the application.

  • Bug fix: non-break process of purging of the deleted terms has been resolved.

  • Change: Export for the WEB, based on the old CGI technology is no longer supported.

Version 6.1.0 - 6.2.0

  • Customization: Corresponding Terms (CT) has been added to the main term properties (Ordered by University of Basel).

  • Customization: Identical National Terms (INE) has been added to the main term properties (Ordered by University of Basel).

  • Customization: Nearest National Terms (NNE) has been added to the main term properties (Ordered by University of Basel).

  • Improvement: F6 toggles between the Hierarchical Relationship Panel and the Term Specifications Panel.

  • Improvement: Statistics of the translations has been added to the Statistics window.

  • Improvement: Country name has been added to the language names.

  • Bug fix: Wrong warning message of merging thesauri has been resolved.

  • Bug fix: Empty properties from the multi line editor are removing before adding to the main term properties.

  • Bug fix: Disabled panel of term properties has been resolved.

  • Bug fix: Search string editor and Replace string editor are showing correctly now.

  • Bug fix: Authorised users are not blocked by the security functions.

  • Bug fix: Memory leaks on merging thesauri has been resolved.

Version 6.0.2 - 6.1.0

  • Improvement: ASP web site generator has been added to the application.

  • Improvement: Multiple thesauri can be searched in ASP generated web site all at once.

  • Improvement: Optionally, images can be center justified in alphabetical display rich text format.

  • Bug fix: Top terms were not being shown in alphabetical display reports. It has been resolved

  • Bug fix: "Ignore Space" option didn't work properly. It has been resolved.

  • Change: Some changes has been made in License Agreement.

Version 5.1.8 - 6.0.2

  • Improvement: Bookmarking functions are added to the application.

  • Improvement: Navigation between bookmarked terms is added to the application.

  • Improvement: Most common ontological relationships were defined as default user defined relationships.

  • Improvement: Auto save function was added to the application.

  • Improvement: Now, adding or editing related terms, opposites, chemical elements, and non-preferred terms can be directly done in the main window.

  • Improvement: Optionally, changes to the properties of a term can be automatically applied to the thesaurus information.

  • Improvement: Alphabetical statistics are now saved in a text file after producing RTF alphabetical display report.

  • Improvement: History of the search strings in the find and replace windows are kept until exiting the application.

  • Improvement: Copy and paste functions are now available from "Edit" menu.

  • Improvement: Copy and paste as related term function has been added to the application.

  • Improvement: Copy and paste as opposite function has been added to the application.

  • Improvement: Optionally, translations can be put before relationships in RTF and XML alphabetical display formats.

  • Improvement: Relation type of the selected terms can be changed all at once.

  • Improvement: Relation type of selected related terms can be changed all at once.

  • Improvement: All selected terms can be set to "Hide" all at once.

  • Bug fix: Sorting of terms of some ISO 8859-3 and ISO 8859-7 languages were incorrect. It is working properly now.

  • Bug fix: Replace function was unable to move the application into the Modified mode. It has been resolved.

  • Bug fix: Right to left view of the "Thesaurus Sample View" is now working properly.

  • Bug fix: Copy a term and paste it as the child of itself had problem. Now resolved.

  • Bug fix: Left adjustment of the main terms in right to left RTF alphabetical display reports has been corrected.

  • Bug fix: Translations of "Used for" and "See for" properties couldn't be appeared in reports of user defined text format. It has been resolved.

  • Bug fix: Purging removed user defined relations caused lost ontological relationships between terms. It is now working properly.

  • Bug fix: While adding the second associative user defined relation which its reciprocated relation is equal to the relation (same relation), "Incompatible Relation" error box appeared on the screen. It has been resolved.

  • Bug fix: In a very special conditions, the translation of terms with an attached picture were lost. This problem is now resolved completely.

  • Change: The caption of the "Update" button has been changed to "Apply".

  • Change: Language name "Farsi" has been changed to "Persian". Why?

  • Change: Default origin of search functions has been changed to "Entire Scope" (was "From Selected Term").

  • Change: Better positioning of translation fields in non-preferred properties window.

  • Change: "Relation type from BT" changed to "Relation type to BT"; so users see the reciprocated relations in the proper field. There is no changes in related functions processes.

  • Change: Database file format of Thesaurus Builder version 3.5 and older is no longer supported.

Version 5.0.0 - 5.1.8

  • Improvement: Faster in producing Alphabetical Display, User defined text report, and XML report specially for large thesauri.

  • Improvement: Faster in restructuring thesaurus from an Alphabetical Display

  • Improvement: Continuing importing from Alphabetical Display after finding a circular relation.

  • Improvement: Rotational indexes can be split to any number of files during the export process.

  • Improvement: "Ignore XML formatting" option is added to the application.

  • Bug fix: Incorrect indention in the second line of the main term in Alphabetical Display has been resolved.

  • Bug fix: "Thesaurus sample view" had a problem when "Top Term" was selected. It has been resolved.

  • Bug fix: "Report restriction" options were filtered the non-preferred terms incorrectly. It has been resolved.

  • Bug fix: Indexing problem of converting between languages has been resolved.

  • Bug fix: Data loosing in "Paste as synonym" has been resolved.

  • Change: The default extension of the Thesaurus Builder databases has been changed to ".TSR".

Version 4.5.4 - 5.0.0

  • Improvement: Thesaurus Any Format. Users can define their own special format of the thesaurus export file.

  • Improvement: Concept number of the non-preferred terms can be different from their preferred terms.

  • Improvement: Non-preferred terms can be optionally added to the Rotational Index.

  • Improvement: The button of assigning next available concept number is added.

  • Improvement: Confirmation message before loading default options.

  • Improvement: Concept number edit window opens by double click.

  • Improvement: Importing from Biblioteca A.P.A.T thesaurus text format has been added to the application. - (Exclusive improvement for Biblioteca A.P.A.T - Italy)

  • Improvement: Translations can be imported to the thesaurus from delimited text dictionary files.

  • Improvement: A pop-up menu is assigned to the picture area.

  • Bug fix: The problem with multilevel BT and NT symbols in the web report has been resolved.

  • Bug fix: Access to some import and export functions is now more secure.

  • Bug fix: Memory managing functions are completely revised.

  • Change: Accessing import and export functions is changed.

  • Change: The title "Quality Issue Report" has been changed to "QA Report".

  • Change: QA report function can be started from the current selected term (Optional).


Download your own Builder

On the Internet, go to http://www.thesaurusbuilder.com/index.aspx/page=downloads.

And follow the instructions to access the zipped copy of the software.


Installing the Builder

Congratulations with downloading your free 21-day trial version of our Thesaurus Builder!

To start using the application, please follow the following simple instructions:

  1. Install the free trial version

  2. Purchasing the Trias Politica Thesaurus Builder

  3. Register your Trias Politica Thesaurus Builder


Install the free trial version

  1. Save the file “Trias Politica Thesaurus Builder.zip” on your hard disk.

  2. Create a new directory on your hard disk: C:\triaspoliticabuilder.

  3. Unzip the .zip file and extract the content to this new directory.

  4. Double click on the program "setup.exe" and follow the instructions on your screen.

  5. You are now ready to use the builder for a free trial period of 21 days.

NB: If the builder does not install, please check if your system has the necessary requirements. i.e. Operating System: Windows 2000/XP/2003, minimum of 64MB of RAM.


Purchasing the Trias Politica Thesaurus Builder

If you decide to purchase the builder, please send us your complete personal/organizational information. You will receive an email from us with a pro-forma invoice + an special release of the application containing your registration information. As soon as your payment is received by us, we send you your own registration key that you can use to upgrade your trial version to a full license. You will receive the original invoice by ordinary mail.


Register your Trias Politica Thesaurus Builder

You receive a unique registration key from us by email. Save the attached file on you hard disk and double click on it. This will display a warning message about adding the information into the registry of the windows. Click 'Yes' to apply.

You now have a full license for Trias Politica Thesaurus Builder. In the about box, you will see: "Registered to: <<Your Name/Organization>>.

NB: Please keep your registration key filed at a safe place.


Construct your first thesaurus

In the next seven steps, we will make a small thesaurus using the builder. It contains terms about some Oceanic countries and cities:

Step 1: Launching Trias Politica Thesaurus Builder and creating a new thesaurus database.

Step 2: Adding root terms of the sample thesaurus.

Step 3: Adding narrower terms.

Step 4: Defining relationships between terms.

Step 5: Adding supplementary information for terms if necessary.

Step 6: Checking thesaurus structure.

Step 7: Exporting RTF files.


Step 1: Launching The Trias Politica Thesaurus Builder and creating a new thesaurus

Step 1: Launching Trias Politica Thesaurus Builder and creating a new thesaurus

Start thesaurus constructing:

  1. Launch Trias Politica Thesaurus Builder. The main window of the application is shown.

  2. Set the main language of your thesaurus to English using 'Tools > Options > Languages and Font Settings'.

  3. Choose 'File > New' or press CTRL+N. Now the ‘Thesaurus Hierarchical Relationship Panel’ and ‘Term Specifications Panel’ will appear in the main window.

  4. Add root terms of the sample thesaurus (Step 2).


Step 2: Adding root term(s) of the sample thesaurus

Trias Politica Thesaurus Builder is based on hierarchical relationships to construct each thesaurus. At the start of thesaurus construction, we must add the root term(s) of the thesaurus to ‘Hierarchical Relationship Panel’:

  1. In the ‘Thesaurus Hierarchical Relationship Panel’ click on the ‘Add Term’ button. A new term is added, and is ready to edit its label.

  2. Change the label of the new term to "Oceania".

  3. Add the narrower terms of "Oceania". (Step 3)


Step 3: Adding narrower terms

Now we can continue thesaurus construction by adding narrower terms of the root term(s) recursively:

  1. Select the term "Oceania" and then click on the ‘Add Narrower Term’ button. A new term is added under "Oceania" as the narrower term of it.

  2. Edit the label of the new term to "Australia".

  3. Repeat previous activity to add "Fiji" and "New Zealand" as the other narrower terms of "Oceania".

  4. Click on the "Australia" to select it. Then click on ‘Add Narrower Term’ button.

  5. Edit the label of the new term to "Adelaide".

  6. Repeat previous activity to add "Canberra", "Melbourne" and "Sydney" as the other narrower terms of the "Australia".

  7. Similarly, add the terms "Wellington", "Blenheim", "Nadi" and "Port Chalmers" under "New Zealand"; and add the terms "Matuku" and "Suva" as the narrower terms of "Fiji".

  8. Oh, as you can see, we added the city "Nadi" in a wrong place. "Nadi" is a city of "Fiji". To correct this, simply drag "Nadi" and drop it on "Fiji". Every things are now OK.

  9. Define Relationships between the terms. (Step 4)


Step 4: Defining relationships between terms

Follow next recipes to add some relations to the thesaurus database:

  1. Click on "Canberra" to select it. Then click on the ‘Main Properties’ tab sheet of the ‘Term Specifications Panel’.

  2. Right click on the ‘Related Terms’ component and choose ‘Add’.

  3. In ‘Add Item’ editor, type "Sydney" and click on ‘OK’ button. This recipe added "Sydney" as the related term of "Canberra".

  4. Repeat recipes 1-3 to add "Melbourne" and "Adelaide" as the related terms of "Canberra".

  5. Similarly, for each city of each country, add other cities of that country as the related terms of them.

  6. Click on "Oceania" and then click on ‘Non-preferreds’ tab sheet. Right click on ‘Used For’ component and choose ‘Add’.

  7. In the ‘Add UF’ window, type "Australasia" and any other information about "Australasia" you like, and then click on ‘OK’ button. This means that "Oceania" is the preferred term of "Australasia".

  8. Add supplementary information for each term if necessary. (Step 5)

Notice: If the option "Disable auto apply changes in thesaurus information" is on, after the step 4, you need to push on "Apply" button to apply the modifications to the database.


Step 5: Adding supplementary information for each term if necessary

There is some information that we have to add them to our sample thesaurus. Generally, if you want to add additional information to each term, first select it and then in the ‘Term Specifications Panel’, do any necessary modification to the thesaurus. Finally, If the option "Disable auto apply changes in thesaurus information" is on, click on the ‘Apply’ button to record the modifications.

To add some additional information to our sample thesaurus:

  1. Click on "Canberra". Then click on ‘Other Properties’ tab sheet.

  2. In the ‘Scope Notes’ component, type "Capital of Australia.".

  3. Do recipes 1 and 2 to add "Capital of Fiji." as the scope note of "Suva" and "Capital of New Zealand." as the scope note of "Wellington".

  4. Check the thesaurus structure. (Step 6)


Step 6: Checking thesaurus structure

Before obtaining the RTF, HTML or XML reports, it is better to check the thesaurus structure. Notice that Trias Politica Thesaurus Builder makes the RTF, HTML and XML reports whether thesaurus information are correct or not.

Notice: Before running a ‘QA Report’ you have to save the thesaurus information.

If the information has been not saved, the builder will not implement the quality assurance process on thesaurus database. To save the thesaurus information in the database, choose 'File > Save' or simply click on ‘Save’ speed button on the toolbar. The application will ask you for a file name for the new thesaurus database. Select a name (e.g. OCEANIC.TSR) for the new thesaurus database and click on the 'Save' button.

After saving thesaurus information, Trias Politica Thesaurus Builder automatically starts quality assurance process in the background. Choose 'Tools > QA Report' to see the result of the quality assurance process. Any structural problem of the thesaurus will be shown in the ‘QA Report’ window.

Now, the only remaining step is Exporting RTF reports. (Step 7)


Step 7: Exporting RTF reports

The information of our sample thesaurus has been completed. Now, we want to see what we did produce:

  1. Choose 'File > Import and Export'

  2. Select 'Export to Rich Text Format (Alphabetical Display)' and click on 'Continue' button.

  3. Select a file name for the ‘Alphabetical Display’ RTF file.

  4. Click on ‘Save’ button.

  5. again choose 'File > Import and Export'

  6. Select 'Export to Rich Text Format (Rotational Index)' and click on 'Continue' button.

  7. Click on ‘Save’ button.

  8. Choose 'File > Import and Export'

  9. Select 'Export to Rich Text Format (Hierarchical Relationships)' and click on 'Continue' button.

  10. Click on ‘Save’ button.

That's all. You can open RTF files in the Microsoft Word or any other RTF readers. Add page number or any other necessary information in their headers or footers, and print it.

Notice: Before producing the sample thesaurus, it is better to choose 'Options > Load Defaults' to set the value of options to default values.


Thesaurus Development Environment

The ‘Thesaurus Development Environment’ (TDE) provides multiple ways to achieve the same goals. Simplification of thesaurus compilation is one of the most important aims of producing the ‘Thesaurus Development Environment’ of Trias Politica Thesaurus Builder.

TDE contains these main parts:

Main window

Find and Replace window

Stop list window

Options window

Import From Alphabetical Display Text window

QA Report window


Main window

When you start Trias Politica Thesaurus Builder, you are immediately placed within the main window of ‘Thesaurus Development Environment’. All the tools and other parts of ‘TDE’ can be accessed from the main window.

The main window consists of the following elements:

Menu bar

Tool bar

Hierarchical Relationship Panel

Term Specifications Panel

Status bar


Toolbar

The main toolbar provides quick access to tools and dialogs for many of the most common tasks in the software.

New | Find
Open | Replace
Save | Find Next
Add Term | Collapse All
Add Narrower Term | Expand All
Assign Image | Copy
Clear Image | Cut
Edit Term | Paste as child
Delete Term | Help


Status bar

‘Status bar’ is at the lowest position of the main window. Some useful information about program status, current active process and percentage of the progress are shown in the status bar.


Menu bar

The menu bar is located directly under the main window’s title bar. The title of each menu indicates the purpose of the commands on the menu.

File menu

Edit menu

View menu

Bookmark menu

Search menu

Tools menu

Help menu

When you choose a menu, a drop-down menu opens showing a number of commands.

As an alternative to using your mouse (or other pointing devices), each menu name includes an underlined character. Pressing that character key while holding down the ALT key opens the menu. Commands in the open menu usually have an underlined character as well. While the menu is open, pressing that character key invokes the command.

An ellipsis (…) after a command name indicates a dialog will appear.

A right-pointing triangle after a command name indicates a submenu will appear.

If a command has a keyboard shortcut, the menu displays it to the right of the command name.

Menu commands that are on/off toggles use a checkmark to indicate their status.


File menu

The ‘File’ menu contains commands for managing files. The ‘File’ menu Items are listed below:

N ew

Open

Save

Save as

Save selected terms as

Close Thesaurus

Login As

Merge

Import and Export

Convert

Exit


Edit menu

The ‘Edit’ menu contains commands for adding, deleting and editing terms of the current opened thesaurus database:

Add Term

Add Narrower Term

Edit term

Delete Term

Assign Image

Clear Image

Copy

Cut

Paste

Purge Terms

Restore Terms

Level Up

Sort

Unhide All Terms

Reciprocate All Related Terms

Reciprocate All Opposites


View menu

Use the View menu commands to expand or collapse the tree of terms all at once.

Full Expand

Full Collapse

Switch Panels


Bookmark menu

Bookmark menu contains commands of bookmarking terms and navigation between bookmarked terms:

Toggle Bookmark

Previous Bookmarked Term

Next Bookmarked Term

First Bookmarked Term

Last Bookmarked Term

Select All Bookmarks

Clear All Bookmarks


Search menu

Use the ‘Search’ menu commands to locate an special text in the thesaurus database.

Find | Searches for a specific text, and highlights first occurrence of relevant preferred or non-preferred term in the thesaurus database.
Replace | Use this command to specify text you want to search for and then replace with other text (or with nothing).
Find Next | Repeats the last search command.


Tools menu

Use the Tools menu to change the options or view some additional information of your thesaurus:

QA Report | View the result of the thesaurus quality assurance process.
Stop Lists | View and change the stop list words.
Statistics | View the statistics of the current opened thesaurus.
Clear Repository | Clear all the contents of the repository.
Options | Change current opened thesaurus settings.
Load Default Options | Sets the pre defined options in the current opened database.


Help menu

Use the ‘Help’ menu to access the online help system, which provides information on virtually all aspects of Trias Politica Thesaurus Builder environment.

Trias Politica Thesaurus Builder Help | Opens Trias Politica Thesaurus Builder Help Topics dialog box.
Thesaurus Builder Direct | Provides access to the latest Thesaurus Builder news.
About | Displays copyright and version information of Trias Politica Thesaurus Builder.


Hierarchical Relationship Panel

All of the preferred terms of the thesaurus, their translations and specifications are integrated in the ‘Hierarchical Relationship Panel’. It consists of these components:

Hierarchical Relationship Tree View

Hierarchical Modification Buttons

Image Preview

Tip: Use F6 to switch between "Hierarchical Relationship" panel" and "Terms Specifications" panel.


Hierarchical Relationship Tree View

In the ‘Hierarchical Relationship Tree View’ all of the superordinate and subordinate relations between preferred terms are shown in a tree. In other words, the narrower terms of each preferred term are placed in the subordinate branches of it. Otherwise, the superordinate term of each preferred term introduces the broader term of it.

All the translations of the terms are shown in front of the preferred terms in separated columns.

The user must determine the correct position of each preferred term when s/he add it to the tree view.

All of the term specifications will be shown in the ‘Term Specifications Panel’ when user clicks on it.

Double clicking on each term changes the status of the main window to edit mode.

Double clicking on the translations opens the properties window for the term in that language.

Most of the processes of the edit menu can be accessed with the popup menu of the tree view. To display the popup menu, simply, right click on the term which you want to edit.

Showing the terms of right to left languages may be have some problems in parenthesis, braces and some other characters. If this occurred, right click on one of the terms in the tree view and choose ‘Right to Left Text View’.

Tip: If you think that the position of a term is not correct, simply drag and drop it on its correct broader term. It will be moved to the position as a narrower term of the destination.


Hierarchical Modification Buttons

The buttons at the right of the ‘Hierarchical Relationship Panel’ provides quick access to some of items of the ‘Edit’ menu as like as the equivalent buttons in the toolbar.

Add Term button

Add Narrower Term Button

Edit Term button

Delete Term button


Image Preview

At the bottom left side of the Hierarchical relationship panel, you can see the preview of the assigned image to the current term.

By double clicking on the 'Image Preview':

  • If an image already assigned to the term, the 'View Image' window will be opened.

  • Otherwise, you will be asked for an image to assign to the current term.

You can also right click on the image preview area to: 1) assign an image to the current term. 2) Clear the image of the current term. 3) View the image if it has been already assigned to the current term.


Term Specifications Panel

Each time you click on a term in tree view, all of its ancillary information will be shown in the ‘Term Specifications Panel’. It contains several tab sheets that each of them consists of its corresponsive fields.

Here is the list of the ’Term Specifications Panel’ tab sheets:

Main Properties

Translations

Chemical Properties

Other Properties

Date & Status

Non-preferreds

Similar Terms

Additional Notes

Term Simple Tree

Notice: If "Disable auto apply changes in thesaurus information" option is on, changing any of the fields of ‘Term Specifications Panel’ will change the main window status to edit mode.

Tip: Use F6 to switch between "Hierarchical Relationship" panel" and "Terms Specifications" panel.


Main Properties

The ‘Main Properties’ tab sheet contains the following fields:

Term

This field is the base of the thesaurus database. Accessing to all other information is possible by this field as the primary key.

Relation Type

You can select the relation type of the current term to its broader term among the list of hierarchical user defined relationships. By default, the relation type of the current term to its broader term is "Broader term". You don't need to define the reciprocated hierarchical relationship. Thesaurus Builder will add it automatically to the reports. If you select more than one term, the relation type of all selected terms will be changed all at once.

Hide

If this option is checked, the current term will be hidden from exported RTF, XML and HTML files. This term and its broader terms are not shown in the broader terms part of the subordinate terms. Similarly, this term and its narrower terms are not shown in the narrower terms part of the superordinate terms. Also, this term will not be added to the thesaurus rotational index. If you select more than one term, the hide property of all of them will be changed all at once. To unhide all hidden terms in the thesaurus database use Unhide All Terms.

Concept Number

By adding a term to the thesaurus, Trias Politica Thesaurus Builder automatically assigns a concept number to that term. To change the concept number of selected term(s), double click or right click on it and use Change Concept Number menu item of its popup menu.

Related Terms

Add the related terms of the preferred term to this field. There is an editor at the bottom of this field which is used for add or edit items of this field.

To add a related term, click on a blank position of the "Related Terms" field then type the related term in its corresponsive editor. If there is no blank position in Related Terms box, simply select the last related term in the box and press down arrow key to make the corresponsive editor ready to add another related term.

To edit a related term, select the item in the box then jump to its corresponsive editor by double clicking on it or using TAB key, and then start to edit the term.

You can also set the exact type of relation to the related term among the list of associative user defined relationships which are listed in the combo box at the bottom of the "Related Terms" field.

Opposites

'Opposites' are a kind of related terms. To improve clarifying of the main term concept, we have separated them from other types of the relations. Working with this field is exactly as same as working with related terms.

Synonyms

Similar to 'Related Terms', you can add synonyms or edit or delete them in this field. As a matter of fact, synonyms are a kind of non-preferred terms, but, to make it simpler for the users, this field was moved from the ‘Non-Preferreds’ tab sheet to the ‘Main Properties’ tab sheet.


Chemical Properties

The fields under this tab sheet are not defined in ISO 5964, but they are useful for some of thesauri.

IUBMB Enzyme Committee Number

This field is numeric with hyphens.

To add an IUBMB Enzyme Committee Number, click on a blank position of this box then type a new value in its corresponsive editor. If there is no blank position in IUBMB Enzyme Committee Number box, simply select the last item in the box and press down arrow key to make the corresponsive editor ready to add another item.

To edit an IUBMB Enzyme Committee Number, select the item in the box then jump to its corresponsive editor by clicking on it or using TAB key, and then start to edit its value.

Chemical Abstracts Registry Number

This field is numeric with full stops. Adding, editing and deleting to this component are the same as 'IUBMB Enzyme Committee Number'.


Other Properties

This tab sheet consists of the following fields:

Description

If you want to write a short description about the term, you can write it in this field.

Frequency

The frequency of the term usage is written in this numerical field. It can be useful for index automation.

Historical Notes

Write the historical usage notes of the term to this alphanumeric text field.

Abbreviation

This field contains the abbreviation of the current preferred term. The term shown in this field is of non-preferred type. There is no need to define the ‘Abbreviation For’ field; Trias Politica Thesaurus Builder generates it automatically.

Abbreviation For

This field contains the abbreviated term of the current preferred term. The term shown in this field is of non-preferred type. There is no need to define the ‘Abbreviation’ field; Trias Politica Thesaurus Builder generates it automatically.

Subject Category

‘Subject Category’ comprises an alphanumeric classification scheme that segments the literature in the thesaurus database. You can select which subject categories to be exported to RTF, HTML or XML outputs.

Scope Notes

‘Scope Notes’ are provided when the meaning or usage of a term may not be clear from the term itself or from its relationships.

External Link

Use this field if you want to have a link to an external web address for this term in the dynamic HTML report of your thesaurus. For example: if you write "http://www.thesaurusbuilder.com" in this field, the 'Thesaurus Builder' home page will be opened whenever you click on this term in the HTML format of the thesaurus. If you fill this field, the general external link will be ignored just for this term.

Tip: You can use some tags in the external link field to make it more flexible to use. For example: If you write "http://www.google.com/search?q=%22<#MainTerm>%22" in the 'External Link' field, the main term will be searched in Google each time the user click on it. See the list of available External Link Tags.

Notice: The "Abbreviation: and "Abbreviation For" fields are equal to each other. User should fill only one of them. the application will generate the reciprocated field automatically.


Similar Terms

The ‘Similar Terms’ tab sheet contains the following fields:

Corresponding Terms

Add any corresponding term (CT) of the preferred term this field. There is an editor at the bottom of this field which is used for add or edit items of this field.

To add a corresponding term, click on a blank position of the "Corresponding Terms" field then type the corresponding term in its editor. If there is no blank position in Related Terms box, simply select the last corresponding term in the box and press down arrow key to make the editor ready to add another corresponding term.

To edit a corresponding term, select the item in the box then jump to its editor by double clicking on it or using TAB key, and then start to edit the term.

Identical National Equivalent

'Identical National Equivalent' (INE) terms are the exact equivalent of the preferred term in different countries. Working with this field is exactly as same as working with corresponding terms. You need to select the exact language of the each INE from its below combo box. The equivalent country of the selected language will be shown in front of the added term. You can define the name of the countries in Languages and Font Settings.

Nearest National Equivalent

Like 'Identical National Equivalent', you can add 'Nearest National equivalent' (NNE) or edit or delete them in this field.

Notice: 'Corresponding Terms', "Identical National Equivalent', and 'Nearest National Equivalent' have been added to the software based on the request of the university of Basel (Switzerland). For more information you can contact:

Universität Basel
Juristische Fakultät
Peter Merian-Weg 8
Postfach 4002 Basel
dekanat-ius@unibas.ch


Date & Status

This tab sheet contains these fields:

Input Date

‘Input Date’ defines the date of the first usage of the term in indexing. This field is automatically set when you add a new term to the thesaurus.

Approval Date

‘Approval Date’ defines the date of when the term is approved.

Last Update

‘Last Update’ indicates the latest modification on the term. This field can be optionally updated each time you edit the term.

Not Valid Date

‘Not Valid Date’ defines when a term has been shelved for indexing.

Current Status

Current status of a term is one of the following:

  • Candidate

  • Approved (default)

  • Provisional

  • Not Valid

You can restrict the exported RTF, HTML, XML or PSF file to terms with one or more of the above statuses.

Notice: By clicking on the ‘Now’ button at the next of each date field, current date will be put in that field. The date format is depend on the current regional date format of the operating system. You also can set the date by using the calender.


Additional Notes

Thesaurus developers can write their notes or any other information about the current term for later use in the ‘Additional Notes’ text field. This field has no effects in any output of Trias Politica Thesaurus Builder and can be seen only inside the software.

NB: The application optionally adds some information about the user and date of the changes to the "Additional Notes" automatically.


Terms Simple Tree

It may be hard to understand the correctness of the preferred terms position. Trias Politica Thesaurus Builder simplifies the thesaurus preferred terms tree for the current selected term. In the ‘Terms Simple Tree’, all levels of superordinate (broader) terms and only one level of subordinate (narrower) terms of the focused term are shown.

By double clicking on each term in the 'Terms Simple Tree', the equivalent term of it will be focused in the 'Hierarchical Relationship Tree View'.


Non-preferreds

The ‘Non-preferreds’ tab sheet lists a synonym or closely related terms, which are not used in indexing.

Used For

Used For contains non-preferred terms which are mapped to at least current preferred term.

To add a non-preferred term, click on a blank position of the "Used For" field then type the non-preferred term in its corresponsive editor. If there is no blank position in Used For box, simply select the last non-preferred term in the box and press down arrow key to make the corresponsive editor ready to add another non-preferred term.

To edit a non-preferred term, select the item in the box then jump to its corresponsive editor by clicking on it or using TAB key, and then start to edit the non-preferred term.

Double click on each item will open Non-Preferred Term Specification window.

See For

See For contains non-preferred terms which are mapped to one of the several possible preferred terms among current preferred term. Adding, editing and deleting to this component are the same as Used For.

Note: Synonyms are also of non-preferred type, but to make editing more convenient, this field was moved to the ‘Main Properties’ tab sheet.

See also:

Non-preferred term specifications window


Non-preferred terms specifications window

Non-preferred term specifications window

This window is used for adding all the supplementary information of non-preferred terms and their translations to the thesaurus information.

This window consists of the following fields:

Term

The non-preferred term.

Concept Number

The concept number of the non-preferred term. By default the concept number of the non-preferred terms are equal to the its preferred term concept number, but users can change it manually.

'Next available concept number' button

This button sets the next available concept number in the concept number field.

Historical Notes

This alphanumeric field contains the historical usage notes of term.

Description

If you want to write a short description about term, you can write it in this field.

Scope Notes

‘Scope Notes’ are provided when the meaning or usage of a term may not be clear from the term itself or from its relationships.

Input Date

‘Input Date’ defines the date of the first usage of the term in indexing.

Approval Date

‘Approval Date’ defines the date of when the term is approved.

Last Update

‘Last Update’ indicates the latest modification on the term.

Not Valid Date

‘Not Valid Date’ defines when a term has been shelved for indexing.

Translations

Translations of the non-preferred term in other languages are entered in their proper fields.

See also:

Non-preferreds


Translations

Each term in the thesaurus database can have up to 133 translations. To select which languages you want to put in the translations area, use 'Tools > Options > Language and Font Settings'. Base on the ISO 5964, each translation can have its special properties in that language. To complete its properties, press ‘Properties’ button next to the translation.

All of the translations are also shown in front of the terms in separated columns.

The 'Properties' button next to each translations, opens the 'Translation Specification' window.

See also:

Translation specifications window


Translation specifications window

This window contains all the necessary information of the term in other languages. These information are using to produce the outputs or convert the thesaurus to the other languages base on ISO 5964.

Below you can find a brief information about the 'Translation Specifications' fields:

Historical Notes

This alphanumeric field contains the historical usage notes of the term in the language of the current translation.

Description

If you want to write a short description about the term in the language of the current translation, you can write it in this field.

Scope Notes

‘Scope Notes’ are provided when the meaning or usage of a term in the language of the current translation may not be clear from the term itself or from its relationships.

Used For

Used For contains non-preferred terms which are mapped to at least the current translation of the current preferred term.

To add a non-preferred term, click on a blank position of the "Used For" field then type the non-preferred term in its corresponsive editor. If there is no blank position in Used For box, simply select the last non-preferred term in the box and press down arrow key to make the corresponsive editor ready to add another non-preferred term.

To edit a non-preferred term, select the item in the box then jump to its corresponsive editor by clicking on it or using TAB key, and then start to edit the non-preferred term.

Double click on each item will open Non-Preferred Term Specification window.

See For

See For contains non-preferred terms which are mapped to one of the several possible preferred terms among the current translation of the current preferred term. Adding, editing and deleting to this component are the same as Used For.

Synonyms

You can add synonyms or edit or delete them in this field. Adding, editing and deleting items to this field are the same as Used For

Notice: Non-preferred fields (Used for, See for and Synonyms) in this window are using just if the current translation has a non-preferred term which its equivalent in the main language is the same as the current preferred term or there is no proper term in the main language.

See also:

Translations


Find window

Find and Replace window

Searching for a term or a specific text in a tree of terms without using an enough powerful searching tool is problematic. Trias Politica Thesaurus Builder ‘Find’ window resolves this. It also provide you a set of powerful replace functions to specify text you want to search for, and then replace with other text.

To open the ‘Find’ window, choose 'Search > Find'.

To open the ‘Replace’ window, choose 'Search > Replace'.

For more information see Find and Replace.


Options window

Accessing to various optional parameters of the application is available from the Options window.

For more information see: Options.


Stop lists window

‘Stop Lists’ window contains a list of words, which are ignored in the ‘Thesaurus Rotational Index’ RTF report.

To understand how to use stop lists, see Stop Lists.


View Image window

Use the 'View Image' window to see assigned image to the current term in your preferred custom or actual size. You also can do the following actions in the View Image window:

  • Assign image to the current term.

For more information, see Assign Image.

  • Clear image from the current term.

For more information, see Clear Image.

  • See the actual size of the picture.

By clicking on the 'Actual Size' tool button, the application will change the size of the picture to its actual size.

  • Best fit the picture to the window.

By clicking on the 'Best Fit' tool button, the image size will be changed to fit in the 'View Image' window.

  • Save the picture.

You can save the current shown picture as an JPEG format image. To do this, simply click on the 'Save Picture As' toll button and select a path and file name for the image.


Quality Issue Report window

QA Report window

Trias Politica Thesaurus Builder searches for any human mistakes or structural problem of the current opened thesaurus in the background. If found, it shows all of the results in the ‘QA Report’ window.

For more information, see QA Report.


Import Alphabetical Display text window

Import From Alphabetical Display Text window

‘Alphabetical Display Text’ window has various facilities to import the information of thesauri which are in alphabetical display format to Trias Politica Thesaurus Builder hierarchical relationship structure.

To open the ‘Import From Alphabetical Display Text’ window, choose 'File > Import > Alphabetical Display Text File'.

For more information, see Import From Alphabetical Display Text File.


New

Use ‘New’ command to create a new thesaurus database. When you are clicking on this command or pressing the Ctrl+N, all of the information of the current opened thesaurus will be cleared, and the application will be ready to accept your new thesaurus information.

If you have some modified records in the current opened thesaurus, the software asks you to save unsaved information before creating a new thesaurus.

To create a new thesaurus:

  1. Choose 'File > New' or press Ctrl+N.

  2. Start constructing your new thesaurus.


Open

‘Open’ loads a Trias Politica Thesaurus Builder database file (.tpo or .tsr) or a Collexis™ database file (.psf) from an ‘Open File’ dialog. The .tsr (or .tpo) file type is the default extension of the Thesaurus Builder database file. To open a database which has been saved with another extension, in the ‘Open’ dialog box, change ‘Files of Type’ to ‘All Files’ (*.*).

Trias Politica Thesaurus Builder always checks the compatibility of the opening file with Trias Politica Thesaurus Builder database structure. If it matches, the opening process will be started. Otherwise, the application checks for the extension of the file. If the extension is ".PSF", then the builder starts to convert the Collexis™ format to its default database structure. In this case, the file extension will be changed to ".TSR" automatically.

If you have some modified records in the current opened thesaurus, the software asks you to save unsaved information before opening.

To open an existing thesaurus:

  1. Choose 'File > Open' or press Ctrl+O.

  2. In the 'Open' dialog box, specify the name of the existed thesaurus database.

  3. Click on ‘Open’ button.

  4. If a warning box appears for unsaved data:

    1. Click ‘Yes’ to save unsaved data.

    2. Click ‘No’ to ignore unsaved data.

    3. Click ‘Cancel’ to cancel opening process.

  5. Continue compilation of the thesaurus.

Notice: When Trias Politica Thesaurus Builder loads a database file, its entire data loads onto the RAM and all changes is never saved until the auto save function is triggered or you save the database by using the ‘Save’ or ‘Save As’ menu items. Remember to save changes periodically to decrease the risk of data loss.


Save

‘Save’ updates the current database by overwriting on the last saved database file of the thesaurus.

Notice: When the database is not modified, this item is disabled.

To save a thesaurus database:

  1. Choose 'File > Save' or press Ctrl+S.

Notice: The program will never check free disk space or disk locking. If any problem occurs while saving, the save process will be stopped. In this case, you have to save the database in another storage medium of your computer.


Save As

‘Save As’ saves the current database (.tpo or .tsr) under a different file name. If you select a filename which is already exists, an overwrite warning box appears on the screen.

Caution: Overwriting on an existing file will erase all of the previous contents of that file.

To save a file to a different name:

  1. Choose 'File > Save As'.

  2. Enter a name in the ‘File Name’ field.

  3. Click on ‘Save’ button.
    If the file already exists, a warning box appears; Click ‘Yes’ if you want to overwrite.

  4. If the warning box appears for unsaved data:

    1. Click ‘Yes’ to save unsaved data.

    2. Click ‘No’ to ignore unsaved data.

    3. Click ‘Cancel’ to cancel renaming process.

Notice: The default extensions of the Trias Politica Thesaurus Builder database files are ".tpo" and ".tsr". If your favorite extension for the thesaurus database is different, follow it at the end of the thesaurus database name.


Save selected terms as

Use 'Save selected terms as' menu item if you want to save a part of the current opened thesaurus as another thesaurus database.

Do the following steps to produce a new thesaurus containing a part of the current opened thesaurus information:

  1. Select the terms you want to save them as another thesaurus database.

  2. Choose 'File > Save selected terms as' menu item.

  3. A dialog box will be appeared. If you want to ignore the narrower terms of the selected terms, select the 'Selected terms only' option, otherwise, select the 'Selected terms and their narrower terms'.

  4. Click on 'Continue' button.

  5. Wait while producing new thesaurus database.


Login As

Use 'Login As' to change your permission options to the thesaurus database. This item is specially used for when the anonymous user login is enabled; so you can login with your user name and password to use your special permission rights.

To login as another user:

  1. Choose 'File > Login As' menu item.

  2. In the login dialog box select your user name and type your password.

  3. Click on 'Login' button. So, your permission rights will be applied to the application.

Notice: The 'Login As' item will be visible just if the security options is enabled.

NB: This function has not been included in Light and Student editions of Thesaurus Builder.


Convert

This command converts and replaces internal information of the current database. Current available conversions are listed below:

Language Scope


Merging existing thesauri

The builder supports the merging of different thesauri following a number of simple steps. It is possible to merge thesauri in different file formats and with different structures. The basic steps are:

  1. Load the first thesaurus in the builder according to the requirements for its file format (tpo, ASCII, psf, etc.) and using the appropriate commands.

  2. Put the cursor on the term that you want to be the top node of the second thesaurus.

  3. Use the ‘Merge’ function to merge the second thesaurus.

  4. Continue until all the thesauri are added.

  5. Drag and drop and edit the terms until you have the right structure.

  6. Run a quality report to analyze the resulting thesaurus and repair where necessary.

Notice: You can merge an existing Trias Politica Thesaurus Builder database format (.tpo and .tsr) or Collexis™ .PSF format to the current opened thesaurus.

Notice: Before starting to merge a thesaurus to the current thesaurus, the application checks for any conflict between the user defined relationships of two thesauruses. If any, you will be asked to cancel merging or ignore the incompatible relations and continue merging thesauri. if you select ignore, all incompatible relations will be set to the default value of the associative or hierarchical relationships.

NB: This function has not been included in Light and Student editions of Thesaurus Builder.


Close Thesaurus

‘Close Thesaurus’ closes current thesaurus database. If you have unsaved work, you'll be asked if you want to save it.

To close the current thesaurus database:

  1. Choose 'File > Close Thesaurus' or press Ctrl+F4.

  2. If unsaved information message appears, click ‘Yes’, ‘No’, or ‘Cancel’ button.

  3. If you click ‘Yes’, the thesaurus database will be saved; if you click ‘No’, it will not be saved and you will lose all the modifications. If you click ‘Cancel’, the ‘Close Thesaurus’ operation will be cancelled.


Exit

‘Exit’ closes Trias Politica Thesaurus Builder application. If you have unsaved work, you'll be asked to save it.

To exit the application:

  1. Choose 'File > Exit' or press Ctrl+Q.

  2. If unsaved information message appears, click ‘Yes’, ‘No’, or ‘Cancel’ button.

  3. If you click ‘Yes’, the thesaurus database will be saved; if you click ‘No’, it will not be saved, and if you click ‘Cancel’, the ‘Exit’ operation will be cancelled.

Notice: You can also click the ‘Close’ button (the X) in the upper-right corner of Trias Politica Thesaurus Builder window to exit.

Notice: You can not to exit the application while it is in edit mode.


Modifying the thesaurus database

Modifying thesaurus database

Modifying thesaurus database in Trias Politica Thesaurus Builder is really straightforward. All of preferred terms specifications are shown in the ‘Term Specifications Panel’. By changing any of the fields in the ‘Term Specifications Panel’, the status of the main window changes to edit mode.

The thesaurus database modification consists of the following actions:

Add Term

Add Narrower Term

Delete Term

Edit Term Specifications

Assign Image

Clear Image

Purge Terms

Restore Terms

Level Up

Change Concept Number

Unhide All Terms

Reciprocate All Related Terms

Reciprocate All Opposites

Sort

Cut

Copy

Paste

Clear Repository


Add Term

By clicking on ‘Add Term’, a new node is being added to the tree view of the preferred terms as the last sibling of the selected term. After that, you can immediately change the term and its specifications.

To add a term to the thesaurus database:

  1. Select a term at the same level of the correct position of the new term you want to add.

  2. Choose 'Edit > Add Term' or click on the ‘Add Term’ button.

  3. Edit the label and specifications of the added new term.


Add Narrower Term

By clicking on ‘Add Narrower Term’, a new node is being added to the tree view of the preferred terms as a child of the selected term. After that, you can immediately change the term and its specifications.

To add a narrower term to thesaurus database:

  1. Select the term, which is the broader term of the new term you want to add.

  2. Choose 'Edit > Add Narrower Term' or click the ‘Add Narrower’ Term button.

  3. Edit the label and specifications of on the added new narrower term.


Delete Term

You can delete the current selected term by clicking on the ‘Delete Term’. A warning message will be appeared before deleting the term.

To delete a term from the thesaurus database:

  1. Select the term that you want to delete.

  2. Choose 'Edit > Delete Term' or click on the ‘Delete Term’ button.

  3. The warning message will be shown. Click on ‘Yes’; the deleted term will become grey and strikeout.

If the deleting term has narrower terms, a window will be appear on the screen. You can select ‘Remove narrower terms of the deleting term’ or ‘Upgrade narrower terms of the deleting terms to the same level as the previous broader term’. By choosing the first option all the information of the narrower terms will be logically deleted.

Notice: Deleting a term is done by making the concept number of that term negative. You can undo the operation by clicking the right mouse button and select ‘Restore terms’.

To completely remove the term you should use the right mouse button and select the command ‘Purge’. The concept number of the permanently deleted terms are saved. However if the concept number is used for another term which is not deleted, it isn't put in the repository.


Edit Term

Clicking on the ‘Edit Term’ will change the status of the application to the edit mode. The ‘File’, ‘Edit’ menus, and ‘Hierarchical Relationship Panel’ will be disabled and the ‘Update’ and the ‘Cancel’ buttons are appeared under the ‘Term Specifications Panel’ until you apply the changes, or cancel them.

To editing a term or its specifications:

  1. Select the term you want to edit.

  2. Choose 'Edit > Edit Term' or click on the ‘Edit Term’ button.

  3. In the ‘Term Specifications Panel’, edit the information if necessary.

  4. Apply the changes by clicking on the ‘Update’ button, or cancel all changes by clicking on the ‘Cancel’ button.

Tip: If you want to edit only the label of the term, simply click on the selected term and edit it without changing the status of the Main window.

Notice: If the edited term changed to the same as one of its broader terms, you will be notified by an error message.


Level Up

‘Level Up’ moves the position of the current selected term(s) one level up as a sibling term of its broader term(s). This is useful for changing the position of a term to the sibling of the root terms.

To move terms one level up:

  1. Select the term(s) you want to move.

  2. Choose 'Edit > Level Up' or right click on the selected term and choose ‘Level Up’.


Assign Image

You can assign an image to each of the terms of the thesaurus. This feature provides better understanding of the concept for the users.

To assign an image to the current term:

  1. Select Edit > Assign Image menu item or in the Image View window click on the 'Assign Image' tool button.

  2. An open picture dialog will be appeared on the screen. Select an image and click on 'Open' button.

  3. The picture must be shown in the 'Image Preview' area.

Notice: The supported types of the images are: 'JPEG', 'BMP', and 'ICO'.

Notice: The images use a large amount of memory resources. We are strongly recommended you to change the size of the pictures to the optimal size before using them in the thesaurus database.

See also: HTML Options and Thesaurus Alphabetical Display.


Clear Image

Use this command to clear image data from the current term information of the thesaurus database.

To clear image data from the current term information:

  1. Select Edit > Clear Image menu item or in the 'Image View' window click on the 'Clear Image' tool button.

  2. The 'Image Preview' area should be now empty.


Restore Terms

You can restore deleted terms while they are not purged from the thesaurus database.

To restore deleted terms:

  1. Select the deleted terms you want to restore.

  2. Choose 'Edit > Restore Selected Terms' or 'Edit > Restore All Terms' if you want to restore all of the deleted terms.

Notice: The permanently deleted terms are not restorable.


Purge Terms

Deleting the terms doesn't remove them from the thesaurus database unless you purge them from the thesaurus.

To purge the deleted terms from the thesaurus database:

  1. Select the deleted terms you want to purge them.

  2. Choose 'Edit > Purge Selected Terms' or 'Edit > Purge All Terms' if you want to purge all of the deleted terms.

  3. A warning box will be appeared; click on the 'Yes' button to complete the purge operation.

Notice: This operation completely removes the term and the information cannot be restored.


Change Concept Number

Trias Politica Thesaurus Builder assigns a concept number to each new term automatically, but some times it is necessary to change the concept numbers manually. To do this, you can right click on the selected term(s) and choose the ‘Change Concept Number’. In the ‘Change Concept Number’ dialog box, change the concept number of the selected term(s) and close the window.

Tip: You can also change the concept number by double clicking on it.


Unhide All Terms

This item is used to unhide all the hidden terms in the thesaurus database all at once.

To unhide all the hidden terms in the thesaurus database:

  1. Choose 'Edit > Unhide All Terms'.

  2. Wait until unhide process is done.

For more information about hidden terms, see Main Properties.


Reciprocate All Related Terms

When you click on this command, Trias Politica Thesaurus Builder starts to reciprocate all non-reciprocated relations.

To reciprocate all related terms in the thesaurus database:

  1. Choose 'Edit > Reciprocate All Related Terms'.

  2. Wait while reciprocating.

Notice: This process may take a long time for large thesauri.

Notice: If the related terms have been already reciprocated, Thesaurus Builder checks the correction of associative user defined relationships and will change the type of relations if needed.


Reciprocate All Opposites

When you click on this command, Trias Politica Thesaurus Builder starts to reciprocate all non-reciprocated opposites.

To reciprocate all opposites in the thesaurus database:

  1. Choose "Edit > Reciprocate All opposites".

  2. Wait while reciprocating.

Notice: This process may take a long time for large thesauri.


Sort

Use this item of the ‘Edit’ menu to sort all the terms of tree view of the ‘Thesaurus Hierarchical Relationships’. You can sort the terms tree (ascending or descending) by:

  • Main terms

  • Input date

  • Last update

  • Concept numbers

  • Translations

To sort the terms in the ‘Thesaurus Hierarchical Relationship’:

  1. Choose 'Edit > Sort > [sort order Item]'.

  2. Wait while sorting.

Tip: Sorting by main term or translations can be done simply by clicking on the header of the proper column.


Cut

Use the 'Cut' command to move term(s) within the tree view of the thesaurus structure.

To move the term(s):

  1. Select the terms you want to move them to another position of the thesaurus structure.

  2. Choose 'Edit > Cut'.

  3. Select the destination node. This node will be the broader term of the moving term(s).

  4. Choose ' Edit > Paste As Child'.

  5. Wait while moving process.

In step 4, you can choose 'Edit > Paste As Synonym'. So, all the moving terms will be added to the synonym field of the destination term; or if you select 'Paste As Related Term' or 'Paste As Opposite', moving terms will be added to the related terms or opposites of the current focused term.

Notice: By choosing 'Edit > Paste As Synonym', 'Edit > Paste As Related Term', or 'Edit > Paste As Opposite' items, all the ancillary information of the moving terms will be lost.

Tip: You can move the terms within the tree view by dragging and dropping them on the destination term.

Notice: If one or more of the moved terms is put as the narrower term of the same term, you will be notified by a warning message.


Copy

Use the 'Copy' command to make a duplicate of one or more number of the term(s) within the tree view of the thesaurus structure.

To copy the term(s):

  1. Select the terms you want to duplicate them.

  2. Choose 'Edit > Copy'.

  3. Select the destination node. This node will be the broader term of the duplicating term(s).

  4. Choose ' Edit > Paste As Child'.

  5. Wait while copying process.

In step 4, you can choose 'Edit > Paste As Synonym'. So, all the copying terms will be added to the synonym field of the destination term. or if you select 'Paste As Related Term' or 'Paste As Opposite', copying terms will be added to the related terms or opposites of the current focused term.

Notice: If one or more of the copied terms is put as the narrower term of the same term, you will be notified by a warning message.


Paste

The paste command copies the contents of the internal clipboard into the workspace. There are four types of paste command:

Paste as child

By using this command, all of the terms which are marked by "Copy" or "Cut" commands, will be added as the narrower terms of the current focused term.

Paste as related terms

Add all of the terms which are marked by "Copy" or "Cut" commands to the related terms of the current focused term by using this command. If you previously used "Cut" command, all of the supplementary information will be lost.

Paste as opposites

Add all of the terms which are marked by "Copy" or "Cut" commands to the opposites of the current focused term by using this command. If you previously used "Cut" command, all of the supplementary information will be lost.

Paste as synonyms

This command removes all of the terms which are previously marked by "Cut" command from the tree of terms and adds them to the synonym field of the current focused term. This function will not be worked after using "Copy" command.

Notice: All of the supplementary information of the removed terms will be lost.


Clear Repository

The concept numbers of the terms which are permanently removed from the thesaurus database, are saved in the repository. To clear the repository, simply choose 'Tools > Clear Repository'.


Full Expand

Use ‘Expand All’ to expand all the nodes in the ‘Thesaurus Hierarchical Relationships’ tree view.

To expand all the terms in the ‘Thesaurus Hierarchical Relationship’:

  1. Choose 'View > Expand All'.

  2. Wait while the builder expands the terms.


Full Collapse

Use ‘Collapse All’ to hide all the nodes in the ‘Thesaurus Hierarchical Relationships’ tree view except those at the first and second level.

To collapse all the terms in the ‘Thesaurus Hierarchical Relationship’:

  1. Choose 'View > Collapse All'.

  2. Wait while collapsing.


Switch Panels

Use "Switch Panels" or press F6 to switch between Hierarchical Relationship Panel and Term Specifications Panel.


Find

‘Find’ searches for a specific text, and highlights the first occurrence of the relevant term in the thesaurus database.

Find dialog box options:

Search for

Enter the search string you want to find it in the thesaurus database in the combo box at the top of the ‘Find’ dialog box. The history of search strings will be kept in the drop down menu of the combo box.

Search in

Find command searches the fields of the thesaurus database that you checked in the ‘Search in’ panel for the search string you entered in the ‘Search for’ editor box.

Include hide terms

The find command doesn't search hide terms while you have unchecked the ‘Include hide terms’ option.

Status

The find command ignores the results of terms whose status is unchecked in the ‘Status’ panel.

Frequency

Use the ‘Frequency’ panel to find the terms which their frequencies is in a specific range of values. Enter the start of the range in the ‘From’ editor box and end of the range in the ‘To’ editor box.

You can also limit only one side of the range of ‘Frequency’. For example: if you want to find the terms with frequencies more than or equal to 100, simply enter 100 in the ‘From’ editor box and leave the ‘To’ editor box empty.

Origin

If the ‘From selected’ radio button is on, the search process starts at the current selected term position, and then proceeds forwards to the end of the scope. If the ‘Entire scope’ radio button is selected, the search process starts from the beginning of the thesaurus database (regardless of which term is focused) forward to the end of the scope. ‘Entire Scope’ is the default setting for origin. If you check the "Within Selected Terms" radio button on, the search process will be start from the first selected term and then proceed forwards to the last selected term ignoring all unselected terms.

Options

With the ‘Any part of’ radio button on, the search string might be found within longer text. With the ‘Match from start’ radio button on, the search string might be found at the start of a longer text. With the ‘Whole words only’ radio button on, the search string must be equal to the entire text of the field. You also can do a case sensitive search by checking the 'Match case' option on.

Dates

Use the dates fields if you want to search within a specific range of dates. for example if you want to find all the records containing the word "Thesaurus" in their main term which you have edited them during the this month, type "Thesaurus" in the 'Search for' field, select the first day of this month in the 'Last Update from' field, and leave all other dates blank. Then use the 'Find' and 'Find Next' commands to see the results.

‘Select All’ button

By clicking on this button, all of the field names in the ‘Search in’ panel will be checked ‘on’.

‘Deselect All’ button

By clicking on this button, all of the field names except ‘Term’ in the ‘Search in’ panel will be checked off.

‘Find’ button

Searching process starts each time you click on this button.

‘Find Next’ button

‘Find Next’ repeats the last search command started at the next of the last result forwarded to the end of the scope.

‘Select Results’ button

By clicking on this button, all the terms which are the result of searching process in the ‘Thesaurus Hierarchical Panel’ will be selected all at once.

‘Cancel’ button

Click on this button to close the ‘Find’ window.


Replace

Use this dialog box to specify text you want to search for and then replace with other text (or with nothing).

Most components of the Replace Text dialog box are identical to those in the Find Text dialog box.

Replace dialog box options:

Search for

Enter the search string you want to find it in the thesaurus database in the combo box at the top of the ‘Replace’ dialog box. The history of search strings will be kept in the drop down menu of the combo box.

Replace with

Enter the replacement string. To replace the text with nothing, leave this input box blank.

Search in

Replace command searches the fields of the thesaurus database that you checked in the ‘Search in’ panel for the search string you entered in the ‘Search for’ editor box.

Include hide terms

The replace command doesn't search the hide terms while you have unchecked the ‘Include hide terms’ option.

Status

The replace command ignores the results of terms whose status is unchecked in the ‘Status’ panel.

Frequency

Use the ‘Frequency’ panel to find the terms which their frequencies is in a specific range of values. Enter the start of the range in the ‘From’ editor box and end of the range in the ‘To’ editor box.

You can also limit only one side of the range of ‘Frequency’. For example: if you want to find the terms with frequencies more than or equal to 100, simply enter 100 in the ‘From’ editor box and leave the ‘To’ editor box empty.

Origin

If the ‘From selected’ radio button is on, the search process starts at the current selected term position, and then proceeds forwards to the end of the scope. If the ‘Entire scope’ radio button is selected, the search process starts from the beginning of the thesaurus database (regardless of which term is selected) forward to the end of the scope. ‘Entire Scope’ is the default setting for origin. If you check the "Within Selected Terms" radio button on, the search process will be start from the first selected term and then proceed forwards to the last selected term ignoring all unselected terms.

Options

With the ‘Any part of’ radio button on, the search string might be found within longer text. With the ‘Match from start’ radio button on, the search string might be found at the start of a longer text. With the ‘Whole words only’ radio button on, the search string must be equal to the entire text of the field. You also can do a case sensitive search by checking the 'Match case' option on.

Dates

Use the dates fields if you want to search and replace within a specific range of dates. for example if you want to find all the records containing the word "Thesaurus" in their main term which you have edited them during the this month, and want to replace the term "Thesaurus" with "Thesauri" type "Thesaurus" in the 'Search for' field, type"'Thesauri" in the 'Replace with' field, select the first day of this month in the 'Last Update from' field, and leave all other dates blank. Then use the 'Find' and 'Find Next' commands to activate the replace function.

‘Select All’ button

By clicking on this button, all of the field names in the ‘Search in’ panel will be checked ‘on’.

‘Deselect All’ button

By clicking on this button, all of the field names except ‘Term’ in the ‘Search in’ panel will be checked off.

‘Find’ button

Searching process starts each time you click on this button.

‘Find Next’ button

‘Find Next’ repeats the last search command started at the next of the last result forwarded to the end of the scope.

‘Select Results’ button

By clicking on this button, all the terms which are the result of searching process in the ‘Thesaurus Hierarchical Panel’ will be selected all at once.

‘Cancel’ button

Click on this button to close the ‘Replace’ window.

Notice: After using the replace function, if one or more of the replaced terms is changed to one of their broader terms, you will be notified by a warning message.


Bookmark

This feature enables you to come back to the terms which you want to modify them later. You can also simply navigate inside the tree of terms by bookmarking key positions of the tree and using bookmark navigation commands.

How to bookmark a term?

To bookmark one or more terms, first select term(s) and select Bookmark > Toggle Bookmark menu item, or simply press Ctrl+B to toggle bookmarks.

Select all bookmarks

You can select all of the bookmarked terms by using Bookmark > Select All Bookmarks menu item. All other selected terms will be cleared.

Clear All Bookmarks

To clear all of the bookmarked terms, click on the Bookmark > Clear All Bookmarks menu item.

See also:

Navigation between bookmarked terms


Navigation between bookmarked terms

Bookmark navigation commands are listed below:

Previous Bookmarked Term

This command find the first bookmarked term from the current focused term toward the top of the tree. Press F7 to execute this command.

Next Bookmarked Term

This command find the first bookmarked term from the current focused term toward the end of the tree. Press F8 to execute this command.

First Bookmarked Term

To focus on the first bookmarked term in the tree, select Bookmark > First Bookmark Term or simply press Ctrl+F7.

Last Bookmarked Term

This command moves the focused term to the last bookmarked term of the tree of terms. Ctrl+F8 is the short key of this command.


Stop Lists

‘Stop Lists’ allows you to list words, which can be ignored (omitted), when you make a ‘Rotational Index’. A ‘Rotational Index’ consists of every word found in your thesaurus database preferred terms with the exception of those in the stop lists.

A stop list is often used to omit high-frequency words such as 'the', 'a' and 'and' in English. Omitting just a few high-frequency words can greatly reduce the size of the rotational index since they occur so often.

To add to, edit or delete ‘Stop Lists’ items, select the language you want to modify its stop list words, then focus to the list box component and use INSERT, DELETE or ENTER keys; or right click on this component and choose the proper command; or click on ‘Add’, ‘Delete’ or ‘Edit’ buttons.

To save the ‘Stop Lists’, click on ‘Update’ button. If you check the ‘Auto Update’ check box, then ‘Stop Lists’ will be saved by each modification automatically.


Statistics

You can find some useful statistical information about your thesaurus such as total number of terms, number of preferred terms, Number of pictures, number of terms in different levels, etc. by choosing 'Tools > Statistics'.


Thesaurus Builder Direct

Thesaurus Builder Direct provides access (in your default browser) to the latest Thesaurus Builder news posted online.


Import and Export

Use Import and Export functions to transfer thesaurus information from/to Trias Politica Thesaurus Builder database format.

To have access to the import and export functions, choose 'File > Import and Export' menu item.

See also:

Import

Export


Import

Use ‘Import’ to load thesaurus information that is not saved in Trias Politica Thesaurus Builder database format. The supported file formats are:

Microsoft Access *

Alphabetical Display Text File *

Import from Biblioteca APAT text data file *

Import equivalent translations

Notice: * The imported data will be fully replaced with the current information.


Import from Microsoft Access

If you have a thesaurus database that is not in Trias Politica Thesaurus Builder database format, you can provide a special Microsoft Access format of your thesaurus and then import it to the application.

Notice: The structure of importable Microsoft Access database tables is matter.

Tip: To view a sample of filled tables, export an existing thesaurus database to Microsoft Access format and see its contents.

To import from Microsoft Access database file:

  1. Choose 'File > Import and Export'.

  2. Select 'Import from Microsoft Access database' and click on 'Continue' button.

  3. Select an existing Microsoft Access database.

  4. Click on ‘Open’ button.

  5. If a warning box appears for unsaved data:

    1. Click ‘Yes’ to save unsaved data.

    2. Click ‘No’ to ignore unsaved data.

    3. Click ‘Cancel’ to cancel renaming process.

  6. Continue compilation of the thesaurus.

Notice: Importing from Microsoft Access may take some time.


Import from Alphabetical Display text file

Trias Politica Thesaurus Builder is based on the hierarchical relationships between terms. To work on thesauri which have been produced by other applications you will first need to convert them to the hierarchical relationship structure of Trias Politica Thesaurus Builder. The ‘Import from Alphabetical Display Text’ window is a useful converter for this purpose.

To import from Alphabetical Display text file:

  1. Choose 'File > Import and Export'.

  2. Select 'Import from Alphabetical Display text file' and click on 'Continue' button.

  3. In the 'Import from Alphabetical Display text file' dialog box, change the import parameters if necessary.

  4. Click on 'Start' button to continue.

Dialog box options:

Input File:

Type the path and the name of the alphabetical display text file in this text editor or select it from the ‘Open’ dialog box by clicking on the ‘Browse’ button. To obtain the best results, you should observe the following structure in the text file:

  1. At least a blank line OR a unique sign like "MT:" must separate records (main term and its ancillary information).

  2. Each field must be put in a separate line without any repetition.

  3. Identification of each field must be put at the beginning of each line. This is true at least for the first occurrence of the repeatable fields.

  4. All of the repetitions of repeatable fields must be followed continually.

  5. The identification of the second level (or above) of the broader or narrower terms must be different from the first level identification.

Fields:

Before starting to import the alphabetical display text file, you need to determine the field that each line contains. Usually, at the start of each line there is an identification to show the field name. For example: "BT:" at the beginning of the line shows that it contains a broader term of the main term.

Check on each field in the text file and write the identification of that field in the proper text editor.

Records started with:

What kind of separators do you use in your text file to separate thesaurus records? Choose one of these options:

  • Blank line:

check this option ‘on’ if there is only a blank line before each record of the thesaurus and there is no identification at the beginning of the line contained main term,

Notice: When this option is on, you should put a blank line just before each record, nothing else.

  • A line contains:

You may have a specific identification before each record of thesaurus text file. Type the text of this line in the proper text editor.

  • Main term identified by:

In an alphabetical display text file, the top line of each record is the main term. If this line is identified by a specific text, you don't need to have any separators before each record. In this case, just check this option on and write the main term identification in the proper text editor.

Ignore lines starting with:

In the thesaurus alphabetical display text file, you may have some fields which are not supported by Trias Politica Thesaurus Builder or that you don't want to import them into the software. You can type the tags of those fields in your text editor. Trias Politica Thesaurus Builder then ignores the lines that started with the identifications listed here.

Notice: Put each of the identifications in a separate line.

Reciprocate BT- NT relations:

If this option is on, Trias Politica Thesaurus Builder checks for BT-NT reciprocating relations. If it finds any unreciprocated relations, it will reciprocate them.

Notice: Checking this option, may increase the duration of the importing process considerably.

Notice: While importing 'Identical National Equivalent' and 'Nearest National Equivalent', The software sets the language of the imported terms to the default language of the thesaurus.


Import from Biblioteca APAT text data file

This function has been exclusively made for Biblioteca APAT organization (Italy).

For more information please contact biblioteca@apat.it.


Import equivalent translations

Use this function to simplify producing your multilingual thesaurus. The only thing you need is a delimited text file containing key terms in one language and its equivalents in the target language. The application will search for the key terms in the thesaurus database and will replace their equivalents into the target language field.

Specifications of the delimited text file

The delimited text file is a UNICODE text file. Each key term and its equivalent should be in a separate line. Each line is started with the key term and followed by the delimiter and the equivalent. The delimiter can be a TAB, Comma or a fix string.

'Import Translation' window specifications

The parameters of this window are listed below:

Filename

You must write the path and filename of the delimited file in this field. Click on 'Browse' button to select the file using an Open dialog box.

Key Language

The key language can be selected using this field. The application compare the key language in the delimited file with the key language in the thesaurus database.

Target Language

If the key language of the delimited file is exactly the same as the key language of the thesaurus database, the equivalent term in the delimited file will be selected for the target language of the thesaurus database.

Delimiter

You should specify the delimiter used in the delimited file in the 'Delimiter' group box. The default delimited is TAB character.

Clear all previous translations

If you want to clear all the terms in the target language, check this option on.

Don't replace old translation

Use this option to prevent replacing the existing translations of the target language with their equivalents in the delimited file. This option will not work if you check the 'Clear all previous translations' on.

'Cancel' button

Ignores the importing process and closes the window.

'Start' button

Starts the importing process.


Export

‘Export’ converts and exports Trias Politica Thesaurus Builder databases in some other format. The supported file formats are:

Microsoft Access

Rich Text Format

XML Document

Collexis™ .psf Format

HTML for the WEB

ASP for the WEB

Flat Text List of Terms

Concept Numbers In Use

Export to user defined text format


Export to Microsoft Access

To use the thesaurus database in other programs that support Microsoft Access databases, choose 'File > Import and Export and select 'Export to Microsoft Access database' and click on 'Continue'. The only step to make the MS-Access database is selecting a filename in the ‘Save MS-Access Exported Data File As’ dialog box.

The structure of Microsoft Access database tables for both exporting and importing database tables is the same. So the exported Microsoft Access database can be imported later by using import command of Trias Politica Thesaurus Builder.

Tip: You can use the ‘Export to Microsoft Access’ command to make a backup of your thesaurus database.

Notice: Exporting to Microsoft Access may take a long time.


Export to Collexis™ .psf Format

Export to Collexis® .psf Format

Choose 'File > Import and Export and select 'Export to Collexis® PSF format' and click on 'Continue' to save the thesaurus information to the Collexis® .PSF file format.

Notice: Only a few number of fields of the thesaurus information can be added to the Collexis® .PSF databases. For more information see 'PSF Format'.


Export to XML

Trias Politica Thesaurus Builder produces an XML document of the ‘Alphabetical Display’ format of the thesaurus. Exporting to a XML document is quite similar to exporting to the RTF ‘Alphabetical Display’.

Various options are added to Trias Politica Thesaurus Builder for RTF, HTML and XML reports format. For more information, see Output Format.

See also: Export to Rich Text Format


Exporting the concept numbers in use

Choose 'File > Import and Export and select 'Export to text file (concept number in use)' and click on 'Continue' to make the list of all concept numbers which are used in your thesaurus database.

The concept numbers of the logically deleted terms will be added to the list as the negative numbers. And also, if you check the 'Include concept numbers of purged terms' on, the negative of the concept numbers of the permanently deleted terms will be added to the list.

You can also have the list of the terms next to the concept numbers by selecting the 'Include terms' option. Purged terms will not be added to the list.

Notice: The saved file is a UTF8 Tab delimited file and can be imported into the applications which can support this format.


Exporting the list of main terms

By choosing the 'File > Import and Export and selecting 'Export to text file (list of terms only)' and click on 'Continue', the 'Exporting Flat Text List of Terms' window will be appeared. Select a file name for the exporting file of the terms list and then click on the Export button to complete the procedure.

Optionally, you can choose one of the ASCII, UNICODE or UTF8 encoding types for the exporting file. And also, you can limit the list of terms to one or more number of terms status: Candidate, Approval, Provisional and Not Valid. By Selecting the Synonyms, UF, and/or SF, you can include other non-preferred terms to the list.

Notice: Deleted terms (logically or permanently) are not added to the list.

Notice: Duplicates will be removed from the list.


Export to user defined text format

This item simply makes an alphabetical order of the thesaurus information in the user define text format which has been already defined in 'Option' window.

To export to user defined text format:

  1. Choose 'File > Import and Export'.

  2. In the 'Import and Export' box, select 'Export to user defined text format and click on 'Continue'.

  3. Select a filename for the exporting data and click on 'Save' button.

See also:

User defined text format

User Defined Text Format Tags


Export to ASP for the WEB

Export to Classic ASP for the WEB

An ASP generator is provided in Trias Politica Thesaurus Builder to make a full hyperlinked and searchable web site. You can simply put these files on your server to activate this service for your clients.

To generate the ASP files, choose 'File > Import and Export and select 'Export to ASP WEB database (ready to publish on the Internet)' and click on 'Continue'; a new windows will be opened as shown below:

Then select a name for the main MS-Access database file. All of the information of your thesaurus(es) will be collected into the MS-Access file. One of the most important features of the ASP web generator is supporting for multiple thesaurus searching in a single web site. So, you can add any additional thesauri information into a MS-Access database which is previously created by another process of ASP generation. Click on 'Continue' to open the 'Select Thesaurus' window:

If you have already added thesaurus(es) into the MS-Access database, the title of them will be shown in the list view. You can choose one of the following items:

  1. If you want to add the information of the current opened thesaurus into the MS-Access database, click on 'Add' button and specify the Name, Group and Direction of the new thesaurus to be added. The new thesaurus information will be added into the list view.

  2. If you want to remove a thesaurus information from the MS-Access database, simply click on 'Remove' button. You will be warned for the deletion process; once you click on 'Yes' button, all of the information of the selected thesaurus will be removed from the MS-Access database file as well as the list view.

  3. If you want to replace the previous thesaurus information with the current opened thesaurus information, just select the name of that thesaurus. By completing the export process, all of the information will be replaced with the new information.

Note: The name of the thesauri in the list view will be added at the top of the ASP web site to list the available thesauri for searching. The direction of each thesauri specifies the direction of its name to be shown at the top of the web site. The group name of thesauri categorises the thesauri in the MS-Access database for later use.

Output folder indicates the folder which all of the final results will be collected in.

Note: Output folder should be different from the folder where MS-Access database is loaded from there.

The Name, Group and Direction of each thesaurus can be changed by clicking on 'Edit' button. In the opened window, specify the proper changes and click on 'OK' button to apply the changes.

Now in the 'Select Thesaurus' window, click on 'Export' button to finalize the process. Depend on your thesaurus information, this may take several minutes to complete. You don't need to do any more except copying the generated files into your web server and providing a link to the main ASP file.

Notice: Once you click on 'Export' button, all of the information of the selected thesaurus will be replaced with the new opened thesaurus information.

Notice: All the web application and database files that are generated are working ONLY on Windows XP/2000/2003 Server families. Also, it doesn't work directly from Hard Disks or CDs.

Caution: The generated ASP database of version 6.2.0 and above are not compatible with the previous versions; so, users need to regenerate all of the thesaurus databases to the new version.

For more information see also:

How to move ASP generated files into the server

Customize the form of ASP web pages

How to search thesaurus information in ASP web pages


How to move ASP generated files into the server

To put the ASP generated files into the web server, either:

Copy the entire contents of the output folder to a given directory under the root directory of your web server. This is usually located at 'c:\inetpub\wwwroot\'.

Or:

In the 'Select Thesaurus' window, set the output folder to the desired virtual directory of your choice as shown below:

where 'Thesauri' is the physical address of the virtual directory to be deployed.

Use the following instruction to complete your new thesaurus web site:

  1. From the Start menu, select Control Panel > Administrative Tools > Internet Information Services.

  2. Click on the computer name, in the left pane.

  3. Select the Web Sites and then right click on the newly copied folder.

  4. Select the Properties from the context menu.

  5. In the Application Settings group box, click on the "Create" button.

To access the deployed web site you could navigate to 'http://localhost/thesauri/index.asp'. Please note that the 'thesauri' portion of the URL indicates the virtual directory you have already selected as the output folder.


Customize the form of ASP web pages

The web application is designed as a single ASP page for simplicity and is named index.asp which resides in the root directory of the web application. This file is probably the file which you are very open to customize it. We do strongly recommend you to consult an ASP expert to customize this file. The file is full of comments to help third party experts to modify and customize it easier. However, the important headlines follows:

The ASP web site is categorized into the following sub-folders:

  • root directory

    • images

      • thesaurus

    • include

      • tip_balloon

    • styles

where the thesaurus images are stored in the 'images/thesaurus', the javascript-related source codes are collected in the 'tip_balloon', and the CSS files are stored in the 'styles' directory.

Thesaurus Images:

The thesauri images are named using the following schema:

img[thesaurus_id]_[termid]

where

  • thesaurus_id addresses the Id column of the 'Thesaurus' table

  • term_id addresses the Id column of the 'Term' table

within the MS-Access database file.

Notice: When a given thesaurus is removed from the thesaurus collection under the 'Select Thesaurus' window, the related images will not be removed from the 'images/thesaurus' directory. You have to remove them manually, if you want.

The connection string:

The connection string that is used by the ASP page is defined in the 'global.asa' file in the root directory and is cached in the application property for later use. Please note that you have to restart the web application under the IIS after the connection string has been modified manually.

The total number of terms displayed per thesaurus:

You can customize the total number of terms per thesaurus to be displayed in the results page by modifying the 'TOTAL_TERMS_PER_THESAURUS' constant in the 'index.asp' file. the default value is 12.

Preferences:

When you export the thesaurus of your choice to an ASP web site, all of the required settings to present the web page will be saved in the 'include/preferences.xml'. These settings can be changed in the Options window before exporting. Please note that If you modify this file manually, you need to restart the IIS for the changes to take effect.


How to search thesaurus information in ASP web pages

After deploying the ASP generated files, you can search your thesaurus by using the search tool. There are three options available for search:

Any part of term

When you checked this item, all the words of search string are separated by spaces. The results are the terms that contain all of the separated words. If you want to search for a phrase in any part of the terms, you need put double quotations before and after the phrase.

Example:

If you write 'Thes software', the results are the terms that contain 'Thes' and 'software' in any part of the term. For example 'Thesaurus software' and 'thesaurus management software' may be the results. If you write '"Thesaurus management" soft', the results are the terms which contains 'Thesaurus management' and 'soft'. For instance 'Thesaurus management software' may be the result.

Match from start

By checking this item, web application searches for the terms that match to the search string just from the start.

Match whole term

If you want to search for a term that fully matches with the search string, check this item.

Notice: Only the first 12 terms per thesaurus are shown by each search. To find your best answer, try to narrow your searches by choosing best keywords. To modify the default value see: Customize the form of ASP web pages

Tip: When you select the first item, you can search the information with a combination of languages. For instance, the first word of the search string can be English, the second Persian and the third can be Russian. In this case the results are the terms that contain each of these words either in the main language or in the translations.

Each term in the following page could contain up to three colored bullets each of which with a special meaning:

  • Black - indicates that the term is newly updated.

  • Red - indicates that the term contains a scope note. (if you point the mouse cursor over the term, the scope note will be shown).

  • Yellow - indicates the term contains an image.

The result page can be sorted based on Term and Thesaurus columns. To sort the results based on a given column, click the column title. A tiny white triangle will be shown next to the column header indicating whether the sort is performed ascending or descending.

The details of a given term can be shown by clicking the term itself.

Related topics:


Export to ASP.NET for the WEB

An ASP.NET generator is provided in Trias Politica Thesaurus Builder to make a full hyperlinked and searchable web site. You can simply put these files on your server to activate this service for your clients.

To generate the ASP.NET files, choose 'File > Import and Export and select 'Export to ASP.NET WEB database (ready to publish on the Internet)' and click on 'Continue'; a new windows will be opened as shown below:

Then select a name for the main MS-Access database file. All of the information of your thesaurus(es) will be collected into the MS-Access file. One of the most important features of the ASP.NET web generator is supporting for multiple thesaurus searching in a single web site. So, you can add any additional thesauri information into a MS-Access database which is previously created by another process of ASP.NET generation. Click on 'Continue' to open the 'Select Thesaurus' window:

If you have already added thesaurus(es) into the MS-Access database, the title of them will be shown in the list view. You can choose one of the following items:

  1. If you want to add the information of the current opened thesaurus into the MS-Access database, click on 'Add' button and specify the Name, Group and Direction of the new thesaurus to be added. The new thesaurus information will be added into the list view.

  2. If you want to remove a thesaurus information from the MS-Access database, simply click on 'Remove' button. You will be warned for the deletion process; once you click on 'Yes' button, all of the information of the selected thesaurus will be removed from the MS-Access database file as well as the list view.

  3. If you want to replace the previous thesaurus information with the current opened thesaurus information, just select the name of that thesaurus. By completing the export process, all of the information will be replaced with the new information.

Note: The name of the thesauri in the list view will be added at the top of the ASP.NET web site to list the available thesauri for searching. The direction of each thesauri specifies the direction of its name to be shown at the top of the web site. The group name of thesauri categorises the thesauri in the MS-Access database for later use.

Output folder indicates the folder which all of the final results will be collected in.

Note: Output folder should be different from the folder where MS-Access database is loaded from there.

The Name, Group and Direction of each thesaurus can be changed by clicking on 'Edit' button. In the opened window, specify the proper changes and click on 'OK' button to apply the changes.

Now, in the 'Select Thesaurus' window, click on 'Export' button to finalize the process. Depend on your thesaurus information, this may take several minutes to complete. You don't need to do any more except copying the generated files into your web server and providing a link to the main .aspx file.

Notice: Once you click on 'Export' button, all of the information of the selected thesaurus will be replaced with the new opened thesaurus information.

Notice: All the web application and database files that are generated are working ONLY on Windows XP/2000/2003/Vista/7/2008 Server families. Also, it doesn't work directly from Hard Disks or CDs.

Caution: The generated ASP.NET database of version 6.5.1 and above are not compatible with the previous versions; so, users need to regenerate all of the thesaurus databases to the new version.

For more information see also:

How to move ASP.NET generated files into the server

Customize the form of ASP.NET web pages

How to search thesaurus information in ASP.NET web pages


How to move ASP.NET generated files into the server

To put the ASP.NET generated files into the web server, either:

Copy the entire contents of the output folder to a given directory under the root directory of your web server. This is usually located at 'c:\inetpub\wwwroot\'.

Or:

In the 'Select Thesaurus' window, set the output folder to the desired virtual directory of your choice as shown below:

where 'Thesauri' is the physical address of the virtual directory to be deployed.

To access the deployed web site you could navigate to 'http://localhost/thesauri/default.aspx'. Please note that the 'thesauri' portion of the URL indicates the virtual directory you have already selected as the output folder.


Customize the form of ASP.NET web pages

The web application is designed as a single ASP.NET page for simplicity and is named default.aspx which resides in the root directory of the web application. This file is probably the file which you are very open to customize it. We do strongly recommend you to consult an ASP.NET expert to customize this file. The file is full of comments to help third party experts to modify and customize it easier. However, the important headlines is as follows:

The ASP.NET web site is categorized into the following sub-folders:

  • root directory

    • App_Data

    • App_Themes

    • bin

    • Images

    • JScript

    • Styles

where the thesaurus images are stored in the 'images/thesaurus', the javascript-related source codes are collected in the 'JScript', the MS-Access database is stored in App_Data, the site executable file is saved in bin, and the CSS files are stored in the 'Styles' directory.

Thesaurus Images:

The thesauri images are named using the following schema:

img[thesaurus_id]_[termid]

where

  • thesaurus_id addresses the Id column of the 'Thesaurus' table

  • term_id addresses the Id column of the 'Term' table

within the MS-Access database file.

Notice: When a given thesaurus is removed from the thesaurus collection under the 'Select Thesaurus' window, the related images will not be removed from the 'images/thesaurus' directory. You have to remove them manually, if you want.

Preferences:

When you export the thesaurus of your choice to an ASP.NET web site, all of the required settings to present the web page will be saved in the 'include/preferences.xml'. These settings can be changed in the Options window before exporting. Please note that If you modify this file manually, you need to restart the IIS for the changes to take effect.


How to search thesaurus information in ASP.NET web pages

After deploying the ASP.NET generated files, you can search your thesaurus by using the search tool. There is a strip bar at the top of the search pagewhich you can pull it down by clicking on the "Thesaurus List" button. There are some options available for search on the strip bar:

List of thesauri

once you pull down the strip bar, you can see the list of thesauri available for search. by ticking on or off the checkbox of each one, you can choose which of them should be searched for your search string.

Any part of term

When you checked this item, all the words of search string are separated by spaces. The results are the terms that contain all of the separated words. If you want to search for a phrase in any part of the terms, you need put double quotations before and after the phrase.

Example:

If you write 'Thes software', the results are the terms that contain 'Thes' and 'software' in any part of the term. For example 'Thesaurus software' and 'thesaurus management software' may be the results. If you write '"Thesaurus management" soft', the results are the terms which contains 'Thesaurus management' and 'soft'. For instance 'Thesaurus management software' may be the result.

Match from start

By checking this item, web application searches for the terms that match to the search string just from the start.

Match whole term

If you want to search for a term that fully matches with the search string, check this item.

Notice: Only the first 15 terms per thesaurus are shown by each search. To find your best answer, try to narrow your searches by choosing best keywords.

Tip: When you select the "Any part of term" item, you can search the information with a combination of languages. For instance, the first word of the search string can be English, the second Persian and the third can be Russian. In this case the results are the terms that contain each of these words either in the main language or in the translations.

Each term in the following page could contain up to two colored bullets and an icon, each of which with a special meaning:

  • Black bullet- indicates that the term is newly updated.

  • Red bullet- indicates that the term contains a scope note. (if you point the mouse cursor over the term, the scope note will be shown).

  • Image icon - indicates the term contains an image. (if you point on the image icon, the image will be shown).

The details of a given term can be shown by clicking the term itself.

Related topics:


Export to Rich Text Format

‘Exporting to Rich Text Format’ is the most important part of exporting data in Trias Politica Thesaurus Builder. With this part of export command, all information of the thesaurus database is provided to build the printable reports of the thesaurus.

RTF is supported by most of the word processors, specially, Microsoft Word; so, you can redact the RTF files using those programs before print.

Various options are added to Trias Politica Thesaurus Builder for RTF, HTML and XML reports. For more information, see Output Format.

The below list introduces the various forms of RTF reports that Trias Politica Thesaurus Builder may produce:

Thesaurus Alphabetical Display

Thesaurus Rotational Index

Thesaurus Hierarchical Relationships

Thesaurus Equivalent Index


Thesaurus Alphabetical Display

In this form of thesaurus, all indexing terms, whether preferred or non-preferred, are organized as a single alphabetical sequence. Non-preferred terms are usually accompanied only by references (USE, SEE and Synonyms) to their preferred equivalents. Ancillary information (such as broader terms, narrower terms, related terms, scope notes, etc.) is appended to preferred terms.

In the Output Format there are many options to change the form of thesaurus alphabetical display.

To export the alphabetical display of your thesaurus:

  1. Choose 'File > Import and Export'.

  2. Select 'Export to Rich Text Format (Alphabetical Display)' and click on 'Continue' button.

  3. Select a name for thesaurus alphabetical display file.

  4. Click on ‘Save’ button.
    If the file already exists, a warning box appears; Click ‘Yes’ if you want to overwrite.

  5. Wait while completion of making thesaurus alphabetical display format.

Notice: All the images in the RTF alphabetical display report will be scaled to 2800 twips (approximately 5 cm) in width.

Tip: After producing RTF Alphabetical Display, a text file will be created in the installation folder of the software containing the statistics of the RTF file.

Below is a sample part of ‘Thesaurus Alphabetical Display’:

(Source data: © CAB International)

AGLINET

UF | Agricultural Library Network
BT1 | international organizations
RT | information systems
SC | SC CU00177

Agrarian Countries

RT | agricultural society
 | Developing Countries
 | pastoral society
SC | CG00672

AGREP

SN | inventory of research projects in the European Union
RT | diffusion of research
RT | information systems
SC | CU00178

AGRICOLA

RT | information systems
SC | CU00179


Thesaurus Rotational Index

Trias Politica Thesaurus Builder makes a rotational index of preferred terms. Non-preferred terms are not added to the rotational index. Trias Politica Thesaurus Builder prevents the words in the 'Stop Lists' to be added to the rotational index. You can change the font of the rotational index using Output Format.

To export the thesaurus rotational index:

  1. Choose 'File > Import and Export'.

  2. Select 'Export to Rich Text Format (Rotational Index)' and click on 'Continue' button.

  3. Select a name for thesaurus rotational index file.

  4. Click on ‘Save’ button.
    If the file already exists, a warning box appears; Click ‘Yes’ if you want to overwrite.

  5. Wait while completion of making thesaurus rotational index.

Notice: The type of rotational index is KWIC.

Below is a sample of a ‘Thesaurus Rotational Index’:

(Source data: © CAB International)

 | antigen testing
 | antiglobulin test
 | Antigua
Greater | Antilles
Lesser | Antilles
Netherlands | Antilles
Valle d' | Aosta
participatory rural | appaisal
 | Appalachian States of USA
 | application date
 | applications
industrial | applications
 | applied research
rapid rural | appraisal
 | Apulia
 | Aquitaine
 | Arab Countries
United | Arab Emirates
Saudi | Arabia
 | Arabian Sea
 | arboreta
Bismarck | Archipelago
Chagos | Archipelago
Kerguelen | Archipelago
Ryukyu | Archipelago
 | Arctic Ocean
Champagne | Ardennes
 | area
floor | area
leaf | area
leaf | area index
surface | area
Pakistan Tribal | Areas
 | arecoline
 | Argentina
 | ARIMA
 | Arizona
 | Arkansas
 | Armenia
 | artefacts
 | Aruba
 | Arunachal Pradesh
 | Ascension
 | ASEAN
 | ASEAN Countries

Notice: By default the non-preferred terms are also added to the Rotational Index. You can use Form of Thesaurus to ignore non-preferred terms to be added in the Rotational Index.


Thesaurus Hierarchical Relationships

This form looks quite like the content of the tree view in the main window hierarchical relationship panel. The number of dots, which are shown before each term, indicates its level. Hierarchical relationship indicates the superordination and subordination of each preferred term. Use the Output Format to change the font of the thesaurus hierarchical relationship.

To export the thesaurus hierarchical relationship:

  1. Choose 'File > Import and Export'.

  2. Select 'Export to Rich Text Format (Hierarchical Relationships)' and click on 'Continue' button.

  3. Select a name for thesaurus hierarchical relationship file.

  4. Click on the ‘Save’ button. If the file already exists, a warning box will be appear; Click ‘Yes’ if you want to overwrite.

  5. Wait while the builder prepares the thesaurus hierarchical relationship.

The following is a ‘Hierarchical Relationship’ sample:

(Source data: © CAB International)

(GENERAL)

. (common terms)

. . (general processes and activities)

. . . activity

. . . . human activity

. . . (processes and activities implying usage)

. . . . access

. . . . applications

. . . . . industrial applications

. . . . multiple use

. . . . practice

. . . . rates

. . . . usage

. . . . uses

. . . . utilization

. . . . . space utilization (AGRICOLA)

. . . . . weed utilization

. . . . zoning

. . . (processes and activities involving improvement or protection)

. . . . animation

. . . . . rural animation

. . . . conditioning

. . . . conservation

. . . . enrichment

. . . . fortification

. . . . improvement

. . . . innovation adoption

. . . . modernization

. . . . modification

. . . . preservation

. . . . prevention

. . . . . accident prevention

. . . . . disease prevention

. . . . . fire prevention

. . . . . loss prevention

. . . . protection

. . . . . overload protection

. . . . . property protection

. . . . . wind protection

. . . . recharge

. . . . recovery

. . . . regeneration

. . . . regulation

. . . . rehabilitation

. . . . replacement

. . . . specialization

. . . . stabilization

. . . . stabilizing

. . . . stimulation

. . . . . electrical stimulation

. . . . . mechanical stimulation

. . . . substitution

. . . . technical progress

. . . . upgrading


Thesaurus Equivalent Index

Since each term in the thesaurus can have various translations, we need simple indexes to find the equivalents of each term. Trias Politica Thesaurus Builder allows you to make these indexes very easily.

To make equivalent indexes:

  1. Choose 'File > Import and Export'.

  2. Select 'Export to Rich Text Format (Equivalent Indexes)' and click on 'Continue' button.

  3. Select the primary language in which the index will be sorted. Next, select the equivalent language in the ‘Secondary Language’ combo box.

  4. Click on the ‘Make Index’ button.

  5. Select a name for the thesaurus equivalent index file.

  6. Click on the ‘Save’ button.
    If the file already exists, a warning box will be appear; Click ‘Yes’ if you want to overwrite.

  7. Wait for the completion of the thesaurus equivalent index.


Options

Choose 'Tools > Options' to display the current opened thesaurus options dialog box. Use the pages of this dialog box to specify various type of options for your thesaurus.

The pages of the 'Options' dialog box are:

General | Some general options.
Languages and Font Settings | Specifies the main language, selected translations, and their fonts.
Output Format | Specifies the form of the RTF, XML, and HTML outputs.
Concept Number | Controls how to assign concept numbers automatically to the terms.
PSF Format | Specifies the format of the Collexis™ PSF file.
HTML | Specifies the general external link for the main terms and the size of images in HTML output.
QA Report | Specifies which type of quality checks should be activated.
Security | Controls the security permissions of the thesaurus database.
User Defined Relationships | Specifies the hierarchical and associative user defined relationships.
User Defined Text Format | Defines the user defined format of the thesaurus

Tabs

You can change the page displayed by clicking the tabs at the top of the dialog box.


General

Some general options can be set in the 'General' page of the Options window:

Disable same broader term notification

Trias Politica Thesaurus Builder shows a warning or error message if the added, or edited term(s) cause a circular relation between the terms. you can use this option to force the application to ignore checking for circular relations.

Disable auto apply last update

By default, Thesaurus Builder sets the "Last Update" to the current date and writes a message in the "Additional Note" each time you edit a term properties. This option disables auto applying last update.

Disable auto switching between languages

The application always checks for the language of the current field and automatically set the current language of the Windows to the proper language (if applicable). Check this option on If you want to change the current language of your operating system manually.

Disable auto apply changes in thesaurus information

Each time you modify information of a term, the changes are applied automatically in thesaurus information. By turning this option on, after modifying on term information, a 'Cancel' and 'Apply' button will be appeared under 'Term Specifications Panel'. In this case you need to manually apply the changes to the thesaurus information by clicking on the 'Apply' button.

Auto save thesaurus information every X minutes

You can force the application to automatically save thesaurus information periodically. To do so, just specify auto save period time. To disable auto save option, set the period time to 0. The default value is 0.

University of Basel Layout

by checking this item on, the layout of the TDE will be changed to the layout which has been exclusively designed for University of Basel (Switzerland). For more information you can contact:

Universität Basel
Juristische Fakultät
Peter Merian-Weg 8
Postfach 4002 Basel
dekanat-ius@unibas.ch


Changing Languages and Font Settings

Trias Politica Thesaurus Builder provides some tools to customize the user interface of the application for dealing with several languages.

Determining the main language of your thesaurus

Before starting for a new thesaurus or importing thesaurus information from Collexis™ .PSF file format or a MS-Access database, you have to determine its main language. To do this:

  1. Choose 'Tools > Options'.

  2. click on "Languages and Font Settings" tab.

  3. Select the proper language for the thesaurus you want to create, as its main language.

For the first opening of the application, English will be set as the main language.

Notice: Always remember that if you don’t select the main language before creating your new thesaurus or importing from an external data, you may lose one of your translations data or you may find wrong sorting in the application reports.

Selecting the languages you want to see in the Main Properties Translations Panel

Default languages which are shown in the ‘Main Properties Translations Tab’ are Dutch, French, German, Italian and Spanish. You can put more languages in or remove any unnecessary languages from the panel by ticking the check boxes next to each language.

Notice: If you tick the language which is equal to the main language, it will not be added to the ‘Translations Tab’.

Changing the font of each language

You can represent each language by a suitable font and color for that language. To do this:

  1. Choose 'Tools > Options'.

  2. Click on 'Languages and Font Settings' tab.

  3. Click on the radio button next to the language you want to change its font.

  4. Click on the ‘Change Font’ button.

  5. Follow the instruction.

Setting the equivalent country of each language.

You can define the name of the country of each language. The name of the country will be added in front of the 'Identical National Equivalent' and 'Nearest National Equivalent'. By default these names are in English, but users should change it to the main language of the thesaurus.


Concept Number Configuration

Trias Politica Thesaurus Builder automatically assigns a new concept number to each new term and checks for in use concept numbers when you delete one or more terms from the thesaurus tree. You can configure the parameters of these processes in the ‘Concept Number Configuration’ page. The parameters and a short description for them are listed below:

Select Concept Number Range

When you add or import new term(s) to the thesaurus, a new concept number will be assigned to the term(s) automatically. By default Trias Politica Thesaurus Builder assigns the greatest assigned concept number plus 1 to the new term, but, you can select a specific range for automatic concept number assignment. To do this, check the ‘Select Concept Number Range’ item and write the minimum and maximum values of the range into the proper edit boxes.

Notice: This option works while the security options is disabled. Otherwise, the auto concept number assignment function will follow the security options of the current logged in user. see also the Security options.

Notice: The greatest assigned concept number and the greatest assigned concept number in range are shown in the ‘Concept Number Configuration’ window.

Check for in use concept numbers

By checking this item, each time you start Trias Politica Thesaurus Builder, it looks for a file which contains current in use concept numbers list. The file should be at the address you have typed in the ‘In use concept number list file address’. If the list file is saved on any media on your computer or your LAN, you have to check the ‘Local (Hard disk)’ radio button. Otherwise, if the list file must be loaded from an Internet address, check the ‘Internet (http://...)’ radio button.

If the concept numbers list file is not found, an error message will be shown and this feature will be deactivated temporarily until the next opening of the application. The error message will be faded off automatically.


Quality Issue Report options

QA Report

Use the 'QA Report' tab of the Options window to determine which types of the quality assurances should be done on the current open thesaurus.

The available types of quality assurances are listed below:

  • Multiple concept numbers for each term

  • Multiple terms for each concept number

  • Multiple translations for each term

  • Multiple terms with the same translation

  • Same broader terms

  • Being a term as both preferred and non-preferred term

  • Related terms existing

  • Opposites existing

  • Duplicate term with the same parent

  • Multiple type of relations with a same term

  • Circular references

Each time you modify the thesaurus or terminate the quality assurance process, you should start it again from the first. Optionally, you can set the 'Start QA Report from the selected term' option to start quality assurance process from the selected term toward the end of thesaurus. In this case, all the rest of terms above the selected will be checked later.


PSF Format

You can export a limited number of fields of your thesaurus information to .PSF file format. PSF file format is provided by Collexis™ to keep these fields of thesaurus:

  • The preferred terms (all languages)

  • Synonyms (all languages)

  • Descriptions (main language only)

It also uses the ASCII (8859-1) as its standard code page. So the default Collexis™ .PSF file format can support only western European languages.

By selecting the UTF8 radio button in the PSF Format Configuration window, Trias Politica Thesaurus Builder produces an enhanced version of the .PSF format that can support all languages (see Supported Languages). And also, you can add the description of all languages to the .PSF file format by checking the ‘Add description of translations’ on.

Optionally, you can limit the exported information to one or more number of terms status: Candidate, Approval, Provisional and Not Valid.

Notice: The enhanced features are not supported by Collexis™ yet. So, if you want to keep the compatibility of the .PSF file format with Collexis™ .PSF format, you have to select ASCII and uncheck the ‘Add description of translations’.


HTML

There are some parameters for the HTML output which are defined in the HTML page of the options window:

External Link

Use this item if you want to have a general link to an external web address for the terms of the thesaurus in the dynamic HTML report of your thesaurus. For example: if you write "http://www.thesaurusbuilder.com" in this field, the 'Thesaurus Builder' home page will be opened whenever you click on the terms in the HTML format of the thesaurus. This options will be ignored if you fill the 'External Link' field of any term in the 'Term Specifications Panel'.

Tip: You can use some tags in the external link to make them more flexible to use. For example: If you write "http://www.google.com/search?q=%22<#MainTerm>%22" in the 'External Link' field, the main term will be searched in Google each time the user click on it. See the list of available External Link Tags.

Don't use External Link

By checking this option on, all the external links will not be used.

Fit the pictures in a specific rectangle

Use this item to determine the size of the pictures when they are shown in the HTML output. If you check this option off, the picture will be shown in its actual size.

Notice: This option will also be used for XML output.


Print preferences

Output Format

You can change various options in ‘Output Format’ page to obtain the form of the RTF reports, XML documents or web HTML outputs of the thesaurus as you want. These options are described by:

Fonts

Fields and Symbols

Form of Thesaurus

Report Restrictions

A sample of the printable form of the thesaurus alphabetical display is shown in the ‘Thesaurus Sample View’. Any changes to ‘Output Format’ update ‘Thesaurus Sample View’.

To change the options in the ‘Output Format’:

  1. Choose "Tools > Options".

  2. Click on "Output Format" tab.

  3. Click on the proper category button.

  4. Do any changes as you need.

  5. Click on ‘OK’ to apply changes.


Fonts

The font of various parts of RTF, HTML and XML formats of the thesaurus can be changed separately. By using this feature, you can prepare a thesaurus layout for printing the thesaurus or publishing it in the web.

The parts of the RTF, HTML and XML format of the thesaurus consist of:

Main Term | Contains preferred terms. Changing the font of this field will be affected in alphabetical display of the thesaurus.
NP Terms | Contains non-preferred terms.
Elements | Relationships or other context of the main term.
NP Elements | Non-preferred elements of the main term.
Symbols | Specifies the abbreviation of elements field.
Scope Notes | Additional explanatory notes for main term.
Translations Symbol | Specifies the abbreviation of translate languages.
Translations | The equivalent of the main term in other languages (see Supported Languages)
Rotational Index (Hot word) | Indexed words of preferred terms in rotational index. (RTF only)
Rotational Index (Normal words) | Not indexed words of preferred terms in rotational index. (RTF only)
Rotational Index (Hot words - non-preferred terms) | Indexed words of non-preferred terms in rotational index. (RTF only)
Rotational Index (Normal words - non-preferred terms) | Not indexed words of non-preferred terms in rotational index. (RTF only)
Rotational Index (Symbols) | The USE symbol for non-preferred terms in rotational index. (RTF only)
Rotational Index (Second preferred terms) | The preferred terms which are coming after non-preferred terms in rotational index. (RTF only)
Hierarchical Relationships | Thesaurus hierarchical relationship. (RTF only)

To change the font of each part:

  1. Choose "Tools > Options".

  2. Click on "Output Format" tab.

  3. Click on the ‘Fonts’ button.

  4. Select the part which you want to change its font.

  5. Click on ‘Change Font’ button.

  6. Follow the instructions of the ‘Font’ window.

The ‘Default’ button restores predefined fonts into the ‘Output Format’.


Fields and Symbols

By clicking on the ‘Fields and Symbols’ button in the ‘Output Format’ page, you can see all of the thesaurus fields which are listed in the ‘Symbols’ panel. There is a check box next to each field name. Only the checked fields will be added to the thesaurus alphabetical display, XML documents and web HTML outputs. In addition, there is an editor box at the right side of each field. You can determine the abbreviation of the field name as its symbol for the thesaurus main language.

The default values for symbols are the standard values for the English thesauri.

Use the description of the user defined relations as symbols

By using this option, you can use the description of the associative and hierarchical relationships instead of RT, BT, or NT symbols.

Default Button

The ‘Default’ button restores predefined fields and symbols into ‘Output Format’.


Form of Thesaurus

Trias Politica Thesaurus Builder provides a number of options to obtain the best form for the thesaurus alphabetical display:

Form of thesaurus

Simple

When you check this option on, the form of alphabetical display is made with only one level depth of broader terms and one level depth of narrower terms.

Enhanced

If you check this option on, all levels of superordinate (broader) terms and all levels of subordinate (narrower) terms can be shown in the alphabetical display. In addition, you can limit the number of superordinate or subordinate levels to show (See below).

Limit Broader Terms to X Levels (Enhanced mode only)

When you check this option on, the number of superordinate levels of each term that can be shown in the alphabetical display is limited to X levels. The default value for this option when it is checked is 3.

Limit Narrower Terms to X Levels (Enhanced mode only)

When you check this option on, the number of subordinate levels of each term that can be shown in the alphabetical display, limits to X levels. The default value for this option when it is checked is 3.

Repeat Symbols

This option determines the repeatability of symbols for the repeatable fields. If this option is checked on, the symbol of the repeatable fields (such as related terms, synonyms, …) will iterate for each time it is repeated. Otherwise, the symbol is added only for the first repetition of the field.

Right to Left

Check ‘Right to Left’ if the main language of the thesaurus is a right to left language (e.g. Farsi or Arabic).

Ignore Spaces

If you check the ‘Ignore Spaces’ on, Trias Politica Thesaurus Builder ignores the spaces while sorting.

Symbols in a separate line

By using this option, symbols will be in a separate line. This option is available only if you want to produce the simple form of thesaurus.

Ignore XML formatting

By using this option, all of the extra XML tags which are used for style formatting will be ignored.

Translations at first

Make this option on to put translations before other elements in RTF and XML reports.

Images at center

This option will make the images center justified in RTF reports.

Indention of the elements

The indention of the elements can be set by using this options. The default value is 19 mm.

Picture size in RTF reports

The size of picture in RTF alphabetical display will be fit in a rectangle which its width and height is defined in these two fields.

Rotational Index

Optionally, you can ignore non-preferred terms or their preferred terms to be added to the Rotational Index. You can also split the Rotational Index report into more than one parts.

‘Default’ button

The ‘Default’ button restores predefined form into the ‘Output Format’.


Report Restrictions

You may want to obtain the RTF, HTML and XML reports only for a specific group of terms. This part provides some options for this purpose:

Subject Category

If you filled the ‘Subject Category’ field of thesaurus database, you can restrict the RTF, HTML and XML outputs (except RTF Hierarchical Relationship) to the list of subject categories that you entered in the subject category panel. To add, edit or delete ‘Subject Category’ items to be restricted to, focus to this component and use INSERT, DELETE or ENTER keys; or right click on this component and choose the proper command.

Trias Politica Thesaurus Builder provides options next to the ‘Subject Category’ panel:

Any Part Of: If this option is selected, the item might be found within longer subject categories.

Match From Start: Like the ‘Any Part Of’ option, but the item must be matched from the start of subject category.

Whole Words Only: The Item must be matched with whole of the subject category.

Status

There is a check box for each ‘Candidate’, ‘Approved’, ‘Provisional’ and ‘Not Valid Terms’. Only the terms whose status check boxes are on will be added to the alphabetical display and rotational index.

Notice: Trias Politica Thesaurus Builder matches the items you entered in the ‘Subject Category’ panel. In other words, if at least one item of subject categories, which entered in the ‘Subject Category’ panel, matches with subject category of a term, it will appear in the alphabetical display and rotational index.

‘Default’ Button

The ‘Default’ button restores predefined restrictions into ‘Output Format’.


Security

Trias Politica Thesaurus Builder provides you a wide range of security options. By using this feature you can restrict your users or staff to prevent accessing to non-authorized parts of the thesaurus. You also can send your thesaurus database to other people or organizations which are using Trias Politica Thesaurus Builder as their thesaurus management software, without any worry about misusing of your thesaurus information.

The 'Security' page of the 'Options' window contains the following items:

Use security options

To activate the security options check this option on, otherwise, the thesaurus information will be accessible to all users with the most permissions.

Users

All users of the current thesaurus are listed here. To add to, edit or remove from this list, simply click on the 'Add', 'Edit' or 'Remove' buttons.

Disable anonymous login

If the security options is activated, the application checks for this option. If anonymous login is not disabled, the thesaurus will be opened using the anonymous user permissions; otherwise, the application will ask you the user name and password before opening the thesaurus.

Notice: You can not remove the Administrator and Anonymous users from the users list.

See also:

Login As

User Properties


User Properties

When you click on the 'Add' or 'Edit' buttons of the Security page, the 'User Properties' dialog box will be opened. This dialog box consists of the following items:

User Name

Type the user name here. The user name will be listed in the user name combo box of the login page.

Full Name

The full name of the user can be typed here (optional).

Password

Type the password here. you can type 19 character in this field at maximum.

Confirm Password

Type the password for the second time here to prevent any mistake in typing password.

Select concept number range

When you add or import new term(s) to the thesaurus, a new concept number will be assigned to the term(s) automatically. By default Trias Politica Thesaurus Builder assigns the greatest assigned concept number plus 1 to the new term, but, you can select a specific range for automatic concept number assignment for each user separately. To do this, check the ‘Select Concept Number Range’ item and write the minimum and maximum values of the range into the proper edit boxes.

Notice: When this option is activated, the application ignores the general concept number range. see also the Concept Number Configuration.

Permissions

You can restrict users to one or some number of below permissions:

  • Edit thesaurus

  • Delete terms

  • Purge/Restore terms

  • Assign/Clear images

  • Change concept number

  • Export to MS-Access, XML, HTML, and Collexis™ .PSF format

  • Export to RTF format

  • Change permissions

  • Change username and password

  • Change languages and font settings options

  • Change output formats

  • Change concept number options

  • Change user defined relations


User Defined Relationships

Trias Politica Thesaurus Builder has a feature to define additional relationships between the terms. You can use this feature to make your thesaurus more similar to the ontology.

Users can add either associative or hierarchical relations to their thesaurus databases. Associative user defined relations are overwritten on the RTs, and hierarchical user defined relations are overwritten on the BTs and NTs.

The 'User Defined Relationships' page of the 'Options' window contains the following items:

Relations

All user defined relationships of the current thesaurus are listed here. To add to, edit or remove from this list, simply click on the 'Add', 'Edit' or 'Remove' buttons.

When you click on 'Remove' button, the selected user defined relationship will be logically deleted and will be permanently deleted when you save your thesaurus database.

NB: Once a new thesaurus is created, the most common ontological relationships will be added here as default user defined relationships. The default user defined relationships are listed below:

Type of Relationship | Relationship Description | Relationship Reciprocal Description
Hierarchical | Contains substance | Substance contained in
Hierarchical | Has component | Component of
Hierarchical | Has ingredient | Ingredient of
Hierarchical | Has member | Member of
Hierarchical | Has phase | Phase of
Hierarchical | Has property | Property of
Hierarchical | Includes specific | Is a
Hierarchical | Inherits to | Inherits from
Hierarchical | Ingests | Ingested by
Hierarchical | Process for | Uses process
Hierarchical | Spatially includes | Spatially included in
Hierarchical | Used to make | Made from
Associative | Beneficial for | Benefits from
Associative | Causes | Caused by
Associative | Grows in | Environment for growing
Associative | Harmful for | Harmed by
Associative | Has component | Component of
Associative | Has member | Member of
Associative | Has pest | Afflicts
Associative | Has property | Property of
Associative | Has symptom | Indicates
Associative | Includes subprocess | Subprocess of
Associative | Instrument for | Perform by instrument
Associative | Process for | Uses process
Associative | Similar to | Similar to
Associative | Treatment for | Treated with
Associative | Yields portion | Portion of

See also:

User defined relationships properties


User Defined Relationship properties

When you click on the 'Add' or 'Edit' buttons of the User Defined Relationships page, the 'User Defined Relationship Properties' dialog box will be opened. This dialog box consists of the following items:

Relation Type

You can select one of the "Associative" or "Hierarchical" value as the type of the new relation.

Relation Description

The name of the relation is written here. Description of the hierarchical relations shows the relation of the broader term to the narrower term.

Reciprocal Description

The name of the reciprocal relation is written here. Reciprocal description of the hierarchical relations shows the relation of the narrower term to the broader term.

Same as relation

Check this option if the relation and its reciprocated relation are the same. Usually two sides of the associative relations can be the same.

Disabled

You can temporarily disable the current user defined relation. this is useful when you don't want to remove the relation.


User Defined Text Format

Users may need some special format of their own thesaurus database to link it to other databases, and/or publish it to their clients. Thesaurus Builder provides you a tool to define an export text format to cover these type of needs.

To define a export text format, choose 'Tools > Options' and click on 'User Defined Text Format' tab.

The defined format is repeated for each term of the thesaurus.

Note: This feature is based on alphabetical order of the thesaurus.

See also:

User Defined Text Format page options

How to define an export format

Export to user defined text format


User Defined Text Format page options

The 'User Defined Text Format' page contains the below options:

Format

The export text format is defined in the 'Format' box. you can type the format directly to this box using the keyboard, or use other formatting elements of this page to define your favorite format.

Field Tag

you can add thesaurus fields (such as Main Term, BT, NT, etc.) in the format box by selecting the field and clicking on the 'Add' button next to it.

There are two type of field tags:

  1. Simple tags:
    Simple tags are used for the fields which are shown only once for each term of the thesaurus.     The form of the simple tags contains a less than character (<) followed by a number sign (#) and the tag ID and a greater than character (>). No changes should be applied between '<' and '>' otherwise it is not working as a tag.

  2. Repeatable tags:
    Repeatable tags     are used for the fields which have more than one item (such as Related Terms or Narrower Terms). Repeatable tags are started with a left curly bracket ({) followed by a tilde (~) and simple tag form of the field and a right curly bracket (}). You can add any fixed strings, other simple tags, and/or other repeatable tags inside the brackets. If you add other simple tags (or repeatable tags in the form of simple tag) inside the brackets, the tilde (~) determines the main simple tag of the repeatable tag.

Spacial Character Tag

You can not insert characters which have special meaning in the text format (such as brackets or tilde). Instead you can use tags which are equal to that characters. Special character tags consist of a left square bracket followed by a tag ID and a right square bracket.

Translation of Main Term

There is a simple tag for each translation of the main term.

Translation of Elements

You may need to add the translation of the elements of the thesaurus term in the text format. The following steps show you how to add a element translation to the 'Format' box.

  1. put the cursor at the position of the text format you want to add the translation.

  2. Select the element you want to add its translation tag.

  3. Select the language.

  4. Click on 'Add' button to insert the tag into the 'Format' box.

Translation of the elements are simple tags and can be added inside the repeatable tags.

Status Symbols

In the 'Status Symbols' group box, you can write the proper text of various status of a term. These texts are replaced with the Status field tag.

Save

To save the current export text format to a text file, simply click on 'Save' button and select a name for the text file and save it.

Load

'Load' reads the export text format which is already saved by 'Save' function and replaces the old format with the read format.

Start of Text

You can add a fixed text at the beginning of the entire export text report. For example if your defined format is a special XML format, you can add the header of the XML file in 'Start of Text' box.

End of Text

You can add a fixed text at the end of the entire export text report. For example if your defined format is a special RTF format, you can add the end curly bracket of the RTF format in the 'End of Text' box.

Default Format

To set all the 'User Defined Text Format' options to the default values, click on the 'Default Format' button.

Note: Tags will not work in the 'Start of Text' and 'End of Text' strings.


How to define an export format

The below example shows how to define an export text format in the following form:

Blood disorders

UF: Haematologic disorders

BT: Diseases

NT: Anaemia

NT: Haemophilia

NT: Leukaemia

RT: Lymphatic system disorders

Dan: Blodsygdomme

Nld: Bloedziekten

Far: اختلال خوني

Fin: Veritaudit

Fra: Maladie du sang

Deu: Blutkrankheiten

Ell: ΑΙΜΑΤΟΛΟΓΙΚΕΣ ΔΙΑΤΑΡΑΧΕΣ

Ita: Malattie del sangue

Nor: Blodsykdommer

Ptg: Doenças do sangue

Esp: Enfermedades de la sangre

Sve: Blodsjukdomar

Haematologic disorders

Use: Blood disorders

  1. Open 'Tools > Options' and click on the 'User Defined Text Format' tab.

  2. Put the cursor in the 'Format' box, and clear the current format.

  3. Start the example by adding a 'Main Term' tag in the 'Format' box. To do this, set the field tag item to 'Main Term' and click on 'Add' button. The current format in the 'Format' box will be changed to "<#MT>".

  4. Now we need a line feed/Carriage return character after the main term. There are two ways: a) put the cursor at the end of main term tag and press 'Enter' to move the cursor at the beginning of the next line. b) Set the 'Special Character Tag' to the 'Carriage return/Line feed' item click the 'Add' button to insert the proper CRLF tag at the end of the format string. We use the first method to add the CRLF in the format string.

  5. Now we need to add the USE and UF fields. These are repeatable fields. Set the 'Field Tag' item to the 'Used For Terms' and click on 'Add' button. Again, Set the 'Field Tag' item to the 'Use Terms' and click on 'Add' button. The format string in the 'Format' box should be like this:
    "<#MT>
    {~<#UF>[CRLF]}{~<#USE>[CRLF]}"
    Notice to the above repeatable fields. They both are between curly brackets. There is a tilde (~) before UF and USE simple tags to determine them as the primary tags. Usually we separate the items of the elements by a separator (e.g. a comma, a semicolon or a line feed). by default the application adds a 'Carriage return/Line feed' for each item of the repeatable field. If you prefer to use another separator, you can delete the [CRLF] tag and insert your favorite separator.

  6. To add "USE:" and "UF:" symbols before each line of these repeatable tags, simply write them exactly after the left curly brackets of the current format. So the content of the 'Format' box will be"
    "<#MT>
    {UF: ~<#UF>[CRLF]}{USE: ~<#USE>[CRLF]}"

  7. As you can see, before each element there is a TAB character to make an indent at the start of each line. So put a TAB tag after the let curly brackets. Now the 'Format' content is:
    "<#MT>
    {[TAB]UF: ~<#UF>[CRLF]}{[TAB]USE: ~<#USE>[CRLF]}"

  8. If you export you current thesaurus using 'Export to user define text format', the result would be like this:

    Blood disorders

UF: Haematologic disorders

Haematologic disorders

Use: Blood disorders

  9. Repeat the steps 5 to 7 to add other repeatable tags (BT, NT, RT, etc.) to the 'Format' box.

  10. The only remaining step is adding the main term translations tags. To do so, simply write the [TAB] and language symbol followed by a semicolon and a space and its proper tag (each one in a separated line).

The final format should be like this:

<#MT>
{[TAB]UF: ~<#UF>[CRLF]}{[TAB]USE: ~<#USE>[CRLF]}{[TAB]BT<#BTL>: ~<#BT>[CRLF]}{[TAB]NT<#NTL>: ~<#NT>[CRLF]}{[TAB]RT: ~<#RT>[CRLF]}
[TAB]Dan: <#Dan>
[TAB]Nld: <#Nld>
[TAB]Far: <#Far>
[TAB]Fin: <#Fin>
[TAB]Fra: <#Fra>
[TAB]Deu: <#Deu>
[TAB]Ell: <#Ell>
[TAB]Ita: <#Ita>
[TAB]Nor: <#Nor>
[TAB]Ptg: <#Ptg>
[TAB]Esp: <#Esp>
[TAB]Sve: <#Sve>


Convert Language Scope

This command is used to produce the current thesaurus in another main language which is used in the translation fields.

To convert translation:

  1. Choose 'File > Convert > Language Scope'.

  2. Select the language you want to replace main language with it.

  3. If you want to remove untranslated terms during conversion, check on the "Remove untranslated terms from the tree" check box. Otherwise, check on the "Replace untranslated terms with" and select a word to replace blank translations with it.

Caution: When removing an untranslated term, all of its narrower terms will be removed too.

  4. Click on ‘Start’ button.

  5. Wait while converting language scope.

  6. In the ‘Save’ dialog box, select a new filename for converted database.
    If the file already exists, a warning box appears; Click ‘Yes’ if you want to overwrite.

Notice: After conversion, the main language of the thesaurus is changed to the new target language.


Diagnosing Your Thesaurus

There may be several human mistakes when producing a thesaurus, especially, when designing its hierarchical relationship. Trias Politica Thesaurus Builder always produces the thesaurus, including the errors. However, quality assurance processing is added to the program to find the problems. This checking process always runs in the background.


Quality Issue Report

QA Report

There may be several human mistakes when producing a thesaurus, specially, when designing its hierarchical relationship. Trias Politica Thesaurus Builder always produces the thesaurus, even when the user makes mistakes; but a quality assurance is added to the program to identify the mistakes. This checking process always runs in the background.

Each time you open the application or save the thesaurus, the quality assurance starts. It will be stopped if the process completes or the application goes to the ‘Modified’ mode. To avoid decreasing the speed of other functions of the application, the quality assurance process works only when the system is idle. Please note that it may take some time to complete the check on a big thesaurus.

When a mistake is found, a message will be added to the ‘QA Report’ window list box. By double clicking on each message, the term that causes the mistake will be selected on the ‘Hierarchical Relationship Panel’. The percentage of the quality assurance process completion is always shown at the bottom of the ‘QA Report’ window.

You can save the quality assurance report messages by clicking on the ‘Save’ button and choosing a proper name for the log file. At the end of the quality assurance process, the application saves the messages to the "ERROR.LOG" file, in the directory in which the application has been installed.

The quality report functions can be switched off to free the processor by a ticking the "Disable" checkbox. In addition, if the number of current open thesaurus errors exceeds 1000, the process will be terminated automatically.

If you select some of the messages in the ‘QA Report’ list box and then click on the 'Select' button, all the terms which caused the selected error messages, will be selected in the 'Hierarchical Relationship Tree View'.

You can also add all opposites or related terms which are not in the hierarchical tree as the main term all at once by clicking on the "Add non-existing terms" button.

You can select which type of checking functions should be activated in the 'QA Report' process. For more information, see 'QA Report' Options.

Notice: To activate the ‘QA Report’ functions you have to save the thesaurus information! It will not work when the thesaurus is modified.


Add non-existing terms

All the opposites and related terms which are not existed in the thesaurus as the main term, and are reported in the QA Report window, can be added to the thesaurus all at once.

To add non existing terms to the thesaurus:

  1. Choose 'Tools > QA Report'

  2. Click on the 'Add non-existing terms' button to open its window.

  3. Select 'Non-existing related terms' or 'Non-existing opposites' or both of them to add to the thesaurus.

  4. If you want to add the non-existing terms to the root of the thesaurus, choose 'As the root terms' option; or if you want to add the non-existing terms as the narrower term of the current selected term choose 'As the narrower terms of the current selected term'.
    Notice:     The selected term is that you clicked on it for the last time. If you permanently deleted the selected term or you have just lunched the application, non-existed terms will be added to the root of the thesaurus.

  5. Click on the 'Continue' to complete the process.

Notice: This function works on the non-existed terms which are listed in the QA Report Window. before using this function, It's better to wait until the application checks all of the thesaurus.


What kind of thesaurus problems are checked?

Trias Politica Thesaurus Builder will report the following problems:

Same broader terms

If there is a duplicate in a branch of the hierarchical relationship, in fact, an illimitable loop will occur. In this type of problems, the user has created a boundless branch in the tree of the hierarchical relationship of the thesaurus.

Duplicating in preferred and non-preferred terms

None of the terms in a thesaurus can be defined in both preferred and non-preferred type. For example: if the user defined both A as the preferred term of B, and B as the preferred term of C, Trias Politica Thesaurus Builder reports an error for B which is defined in both preferred and non-preferred types.

Terms existing

Existence of any related term (including opposites) in the thesaurus is obligated. All related terms will be checked and reported by an error message when they are not defined as a preferred term in at least one position else in the thesaurus. You can add the non-existing terms to the thesaurus all at once. for more information see: Add non-existing terms.

One term with two or more different translations or concept numbers

If a term was in at least two positions in the thesaurus tree and has two or more different translations or concept numbers, a message will be added to the ‘QA Report’ window list box.

Circular references

Having any type of circular references (A nt B and B nt A or A nt B, B nt C and A nt C) in a thesaurus is forbidden. All of the circular references will be shown by adding a message to the ‘QA Report’ window list box.

Multi type of relations to a same term

If a term in the related terms list is the same as the main term or one of its broader terms, an error log will be added to the 'QA Report'.

Two different terms with a same translation or concept number

Trias Politica Thesaurus Builder reports if there are two different terms in the ‘Hierarchical Relationship Panel’ with the same translation in another language.

The builder also reports if two different terms have a same concept number. This is not a real mistake, however, repairing it will be useful to improve the quality of the thesaurus.

Notice: The quality assurance process is not working when the thesaurus database is in ‘Modified’ mode.


Structure of thesaurus database tables in Microsoft Access database

The Microsoft Access database file to be imported into Trias Politica Thesaurus Builder should have four tables:

Thesaurus Table

Thesaurus table contains all properties of the main language. It is the master table of ‘Translations’ and ‘NPTerms’ tables. Here you can find a short description of each field:

No.

Field Name

Data Type

Field Size

Required

Description

Repeatable

1

LineNum

Number

Long Integer

Yes

The table must be sorted by this field.

No

2

TermLevel

Number

Long Integer

Yes

The level of term in the thesaurus tree.

No

3

Term

Memo

Yes

No

4

RelationTypeToBT

Number

Long Integer

The code of the hierarchical relationship.

No

5

ConceptNumber

Number

Long Integer

6

RT

Memo

Related Term

Yes

7

Opposite

Memo

Opposites

Yes

8

SN

Memo

Scope Notes

No

9

Synonyms

Memo

Yes

10

Frequency

Number

Long Integer

No

11

Description

Memo

No

12

InputDate

nText

30

No

13

ApprovalDate

nText

30

No

14

LastUpdate

nText

30

No

15

NotValidDate

nText

30

No

16

ExternalLink

Image

No

17

Hide

Yes/No

No

18

Status

Number

Long Integer

  1. Candidate

  2. Provisional

  3. Approved

  4. Not valid

No

19

SC

Memo

Subject Category

No

20

ABB

Memo

Abbreviation

No

21

ABF

Memo

Abbreviation For

22

HN

Memo

Historical Notes

No

23

CA

Memo

Chemical Abstracts Registry Number

Yes

24

EC

Memo

IUBMB Enzyme Committee Number

Yes

25

CT

Memo

Corresponding Terms

Yes

26

INE

Memo

Identical National Equivalent

Yes

27

NNE

Memo

Nearest National Equivalent

Yes

28

TermImage

Image

The image which is assigned to the term

No

29

AdditionalNotes

Memo

Additional design time information about the term.

No

Translations Table

‘Translations’ table consists of the translations and their properties of the current thesaurus terms. This table is a detailed table of the ‘Thesaurus’ table and the master table of the ‘TranslationsNP’ table. The fields and properties of this table are listed below:

No.

Field Name

Data Type

Field Size

Required

Description

Repeatable

1

LineNum

Number

Decimal

Yes

The table must be sorted by this field.

Divide this field in two parts:

  1. Bits 0 – 31: Language Number. See Supported Languages

  2. Bits 32-63: Equal to the field LineNum of Thesaurus table.

No

2

AccessKey

Number

Decimal

Yes

Equal to the field LineNum of Thesaurus table.

No

3

Term

nText

Yes

The translation of the field Term of the Thesaurus table

No

4

ConceptNumber

Number

Long Integer

Yes

Equal to the field ConceptNumber of Thesaurus table.

No

5

SN

Memo

Scope notes for the current translation language.

No

6

Synonyms

Memo

Synonyms for the current translation language.

Yes

7

Description

Memo

Description for the current translation language.

No

8

ABB

Memo

Abbreviation of the current language translation.

No

9

ABF

Memo

Abbreviated term of the current language translation.

9

HN

Memo

Historical notes for the current translation language.

No

TranslationsNP Table

The non-preferred terms of the translations are saved into the ‘TranslationsNP’ table. This table is a detailed table of the ‘Translations’ table. See the fields and properties of ‘TranslationsNP’ table here:

No.

Field Name

Data Type

Field Size

Required

Description

Repeatable

1

LineNum

Number

Decimal

The table must be sorted by this field.

No

2

AccessKey

Number

Decimal

Yes

Equal to the field LineNum of Translations table.

No

3

Term

nText

Yes

The non-preferred term of the field Term of the Translations table

No

4

ConceptNumber

Number

Long Integer

Yes

Equal to the field ConceptNumber of Translations table.

No

5

SN

Memo

Scope notes for the current translation language.

No

6

Description

Memo

Description for the current translation language.

No

7

HN

Memo

Historical notes for the current translation language.

No

8

InputDate

nText

30

No

9

ApprovalDate

nText

30

No

10

LastUpdate

nText

30

No

11

NotValidDate

nText

30

No

12

UForSF

Bit

Determines the type of the non-preferred term in the thesaurus.

  1. Used For

  2. See for

No

13-56

TranslationFields

Memo

  • The equivalence terms of the non-preferred terms in other languages.

  • The field names are the name of the languages. See Supported Languages

No

NPTerms Table

The non-preferred terms of the main language terms of the thesaurus are saved into the ‘NPTerms’ table. This table is a detailed table of the ‘Thesaurus’ table. Here you can find a short description about its fields and properties:

No.

Field Name

Data Type

Field Size

Required

Description

Repeatable

1

LineNum

Number

Decimal

The table must be sorted by this field.

No

2

AccessKey

Number

Decimal

Yes

Equal to the field LineNum of Thesaurus table.

No

3

Term

nText

Yes

The non-preferred term of the field Term of the Translations table

No

4

ConceptNumber

Number

Long Integer

Yes

Equal to the field ConceptNumber of Translations table.

No

5

SN

Memo

Scope notes for the current translation language.

No

6

Description

Memo

Description for the current translation language.

No

7

HN

Memo

Historical notes for the current translation language.

No

8

InputDate

nText

30

No

9

ApprovalDate

nText

30

No

10

LastUpdate

nText

30

No

11

NotValidDate

nText

30

No

12

UForSF

Bit

Determines the type of the non-preferred term in the thesaurus.

  1. Used For

  2. See for

No

13-146

TranslationFields

Memo

  • The equivalence terms of the non-preferred terms in other languages.

  • The field names are the name of the languages. See Supported Languages

No

UserDefinedRelations Table

All the information of the user defined relationships are collected into this table. Here you can find a short description about its fields and properties:

No. | Field Name | Data Type | Field Size | Required | Description | Repeatable
1 | Type | Number | Long Integer | Yes | The type of the relationship: Associative or Hierarchical | No
2 | Description | nText |  | Yes | The name of the relation | No
3 | Reciprocal Relation | nText |  | Yes | The name of the reciprocal relation | No
4 | Code | Number | Long Integer | Yes | The code of relation automatically generated by the application | No
5 | ReciprocalCode | Number | Long Integer | Yes | The code of reciprocal relation automatically generated by the application | No
6 | SameRelation | Yes/No |  | Yes | Yes, if the relation and its reciprocal relation are the same | No
7 | Status | Number | Long Integer | Yes | The Current status of the relation. bit 0: Disabled bit 1: Removed | No

See also: Export to Microsoft Access


User Defined Text Tormat Tags

User Defined Text Format Tags

While exporting the 'User define text format' of thesaurus, The below tags are replaced with their proper values:

Tag | Proper Field | Insert Format | Additional Notes | Repeatable
<#MT> | Main Term | <#MT> |  | No
<#TT> | Top Term | {~<#TT>[CRLF]} |  | Yes
<#CN> | Concept Number | <#CN> |  | No
<#STATUS> | Term Status | <#STATUS> |  | No
<#BT> | Broader Terms | {~<#BT>[CRLF]} |  | Yes
<#NT> | Narrower Terms | {~<#NT>[CRLF]} |  | Yes
<#RT> | Related Terms | {~<#RT>[CRLF]} |  | Yes
<#OPP> | Opposites | {~<#OPP>[CRLF]} |  | Yes
<#USE> | Use Terms | {~<#USE>[CRLF]} |  | Yes
<#UF> | Used For Terms | {~<#UF>[CRLF]} |  | Yes
<#SEE> | See Terms | {~<#SEE>[CRLF]} |  | Yes
<#SF> | See For Terms | {~<#SF>[CRLF]} |  | Yes
<#SYN> | Synonyms | {~<#SYN>[CRLF]} |  | Yes
<#ABB> | Abbreviations | {~<#ABB>[CRLF]} |  | Yes
<#ABF> | Abbreviation For | {~<#ABF>[CRLF]} |  | Yes
<#SN> | Scope note | <#SN> |  | No
<#DS> | Description | <#DS> |  | No
<#HN> | Historical note | <#HN> |  | No
<#FRQ> | Frequency | <#FRQ> |  | No
<#SC> | Subject Category | <#SC> |  | No
<#IND> | Input Date | <#IND> |  | No
<#APD> | Approval Date | <#APD> |  | No
<#LUD> | Last Update | <#LUD> |  | No
<#NVD> | Not Valid Date | <#NVD> |  | No
<#CA> | Chemical Abstract Registry Number | {~<#CA>[CRLF]} |  | Yes
<#EC> | Enzime Comittee Number | {~<#EC>[CRLF]} |  | Yes
<#CT> | Corresponding Terms | {~<#CT>[CRLF]} |  | Yes
<#INE> | Identical National Equivalent | {~<#INE>[CRLF]} |  | Yes
<#NNE> | Nearest National Equivalent | {~<#NNE>[CRLF]} |  | Yes
<#INECNTR> | Country of Identical National Equivalent | <#INECNTR> | Use inside the format of the repeatable <#INE> tag. | Yes
<#NNECNTR> | Country of Nearest National Equivalent | <#NNECNTR> | Use inside the format of the repeatable <#NNE> tag. | Yes
<#BTCN> | Broader Term Concept Number | <#BTCN> | Use inside the format of the repeatable <#BT> tag. | No
<#BTSTATUS> | Broader Term Status | <#BTSTATUS> | Use inside the format of the repeatable <#BT> tag. | No
<#NTCN> | Narrower Term Concept Number | <#NTCN> | Use inside the format of the repeatable <#NT> tag. | No
<#NTSTATUS> | Narrower Term Status | <#NTSTATUS> | Use inside the format of the repeatable <#NT> tag. | No
<#RTCN> | Related Term Concept Number | <#RTCN> | Use inside the format of the repeatable <#RT> tag. | No
<#RTSTATUS> | Related Term Status | <#RTSTATUS> | Use inside the format of the repeatable <#RT> tag. | No
<#OTCN> | Opposite Term Concept Number | <#OTCN> | Use inside the format of the repeatable <#OPP> tag. | No
<#OTSTATUS> | Opposite Term Status | <#OTSTATUS> | Use inside the format of the repeatable <#OPP> tag. | No
<#UTCN> | USE Term Concept Number | <#UTCN> | Use inside the format of the repeatable <#USE> tag. | No
<#UTSTATUS> | USE Term Status | <#UTSTATUS> | Use inside the format of the repeatable <#USE> tag. | No
<#UFTCN> | Use For Term Concept Number | <#UFTCN> | Use inside the format of the repeatable <#UF> tag. | No
<#UFTSTATUS> | Use For Term Status | <#UFTSTATUS> | Use inside the format of the repeatable <#UF> tag. | No
<#STCN> | SEE Term Concept Number | <#STCN> | Use inside the format of the repeatable <#SEE> tag. | No
<#STSTATUS> | SEE Term Status | <#STSTATUS> | Use inside the format of the repeatable <#SEE> tag. | No
<#SFTCN> | See For Term Concept Number | <#SFTCN> | Use inside the format of the repeatable <#SF> tag. | No
<#SFTSTATUS> | See For Term Status | <#SFTSTATUS> | Use inside the format of the repeatable <#SF> tag. | No
<#BTL> | Level of Broader Term | <#BTL> | Use inside the format of the repeatable <#BT> tag. | No
<#NTL> | Level of Narrower Term | <#NTL> | Use inside the format of the repeatable <#NT> tag. | No
<#RTUDR> | Associative User Defined Relationship | <#RTUDR> | Use inside the format of the repeatable <#RT> tag. | No
<#BTUDR> | Hierarchical (BT) User Defined Relationship | <#BTUDR> | Use inside the format of the repeatable <#BT> tag. | No
<#NTUDR> | Hierarchical (NT) User Defined Relationship | <#NTUDR> | Use inside the format of the repeatable <#NT> tag. | No
<#MTL> | Hierarchical level of main term | <#MTL> |  | No
[TAB] | TAB Character | [TAB] |  | No
[CRLF] | Carriage Return / Line Feed | [CRLF] |  | No
[TILDE> | '~' TILDE | [TILDE] |  | No
[LCB] | '{' Left Curly Bracket | [LCB] |  | No
[RCB] | '}' Right Curly Bracket | [RCB] |  | No
[LSB] | '[' Left Square Bracket | [LSB] |  | No
[RSB] | ']' Right Square Bracket | [RSB] |  | No
[LTS] | '<' Less-Than Sign | [LTS] |  | No
[GTS] | '>' Greater-Than Sign | [GTS] |  | No

The below table shows the tags of the main term translations:

Tag | Language | Repeatable
<#Afk> | Afrikaans | No
<#Sqi> | Albanian | No
<#Arg> | Arabic (Algeria) | No
<#Arh> | Arabic (Bahrain) | No
<#Are> | Arabic (Egypt) | No
<#Ari> | Arabic (Iraq) | No
<#Arj> | Arabic (Jordan) | No
<#Ark> | Arabic (Kuwait) | No
<#Arb> | Arabic (Lebanon) | No
<#Arl> | Arabic (Libya) | No
<#Arm> | Arabic (Morocco) | No
<#Aro> | Arabic (Oman) | No
<#Arq> | Arabic (Qatar) | No
<#Ara> | Arabic (Saudi Arabia) | No
<#Ars> | Arabic (Syria) | No
<#Art> | Arabic (Tunisia) | No
<#Aru> | Arabic (UAE) | No
<#Ary> | Arabic (Yemen) | No
<#Aze> | Azerbaijani (Cyrillic) | No
<#Aze> | Azerbaijani (Latin) | No
<#Equ> | Basque | No
<#Bel> | Belarusian | No
<#Bgr> | Bulgarian | No
<#Cat> | Catalan | No
<#Zhh> | Chinese (Hong Kong) | No
<#Zhm> | Chinese (Macau) | No
<#Chs> | Chinese (PRC) | No
<#Zhi> | Chinese (Singapore) | No
<#Cht> | Chinese (Taiwan) | No
<#Hrv> | Croatian | No
<#Csy> | Czech | No
<#Dan> | Danish | No
<#Div> | Divehi | No
<#Nlb> | Dutch (Belgium) | No
<#Nld> | Dutch (Netherlands) | No
<#Ena> | English (Australia) | No
<#Enl> | English (Belize) | No
<#Enc> | English (Canada) | No
<#Enb> | English (Caribbean) | No
<#Eni> | English (Ireland) | No
<#Enj> | English (Jamaica) | No
<#Enz> | English (New Zealand) | No
<#Enp> | English (Philippines) | No
<#Ens> | English (South Africa) | No
<#Ent> | English (Trinidad) | No
<#Eng> | English (United Kingdom) | No
<#Enu> | English (United States) | No
<#Enw> | English (Zimbabwe) | No
<#Eti> | Estonian | No
<#Fos> | Faeroese | No
<#Fin> | Finnish | No
<#Frb> | French (Belgium) | No
<#Frc> | French (Canada) | No
<#Fra> | French (France) | No
<#Frl> | French (Luxembourg) | No
<#Frm> | French (Monaco) | No
<#Frs> | French (Switzerland) | No
<#Glc> | Gallegan | No
<#Kat> | Georgian | No
<#Dea> | German (Austria) | No
<#Deu> | German (Germany) | No
<#Dec> | German (Liechtenstein) | No
<#Del> | German (Luxembourg) | No
<#Des> | German (Switzerland) | No
<#Ell> | Greek | No
<#Guj> | Gujarati | No
<#Heb> | Hebrew | No
<#Hin> | Hindi | No
<#Hun> | Hungarian | No
<#Isl> | Icelandic | No
<#Ind> | Indonesian | No
<#Ita> | Italian (Italy) | No
<#Its> | Italian (Switzerland) | No
<#Jpn> | Japanese | No
<#Kan> | Kannada | No
<#Kkz> | Kazakh | No
<#Knk> | Konkani | No
<#Kor> | Korean | No
<#Lvi> | Latvian | No
<#Lth> | Lithuanian | No
<#Msb> | Malay (Brunei Darussalam) | No
<#Msl> | Malay (Malaysia) | No
<#Mar> | Marathi | No
<#Mon> | Mongolian | No
<#Nor> | Norwegian (Bokmal) | No
<#Non> | Norwegian (Nynorsk) | No
<#Prs> | Persian | No
<#Plk> | Polish | No
<#Ptb> | Portuguese (Brazil) | No
<#Ptg> | Portuguese (Portugal) | No
<#Pan> | Punjabi | No
<#Rom> | Romanian | No
<#Rus> | Russian | No
<#San> | Sanskrit | No
<#Srb> | Serbian (Cyrillic) | No
<#Srl> | Serbian (Latin) | No
<#Sky> | Slovak | No
<#Slv> | Slovenian | No
<#Ess> | Spanish (Argentina) | No
<#Esb> | Spanish (Bolivia) | No
<#Esl> | Spanish (Chile) | No
<#Eso> | Spanish (Colombia) | No
<#Esc> | Spanish (Costa Rica) | No
<#Esd> | Spanish (Dominican Republic) | No
<#Esf> | Spanish (Ecuador) | No
<#Ese> | Spanish (El Salvador) | No
<#Esg> | Spanish (Guatemala) | No
<#Esh> | Spanish (Honduras) | No
<#Esn> | Spanish (Mexico) | No
<#Esm> | Spanish (Modern) | No
<#Esi> | Spanish (Nicaragua) | No
<#Esa> | Spanish (Panama) | No
<#Esz> | Spanish (Paraguay) | No
<#Esr> | Spanish (Peru) | No
<#Esu> | Spanish (Puerto Rico) | No
<#Esp> | Spanish (Spain) | No
<#Esy> | Spanish (Uruguay) | No
<#Esv> | Spanish (Venezuela) | No
<#Swk> | Swahili | No
<#Sve> | Swedish (Sweden) | No
<#Svf> | Swedish (Finland) | No
<#Syr> | Syriac | No
<#Tam> | Tamil | No
<#Ttt> | Tatar | No
<#Tel> | Telugu | No
<#Tha> | Thai | No
<#Trk> | Turkish | No
<#Ukr> | Ukrainian | No
<#Uri> | Urdu (India) | No
<#Urd> | Urdu (Pakistan) | No
<#Uzb> | Uzbek (Cyrillic) | No
<#Uzb> | Uzbek (Latin) | No
<#Vit> | Vietnamese | No
<#Nut> | Neutral | No

See also:

Export to user defined text format

User Defined Text Format

User Defined Text Format page options

How to define an export format


Licence Agreement

Product name:

Trias Politica Thesaurus Builder, Version 6.5.2 – Professional Edition for Windows 2000/XP/2003/Vista/7

END-USER LICENSE AGREEMENT for v6.5.2, Trias Politica Thesaurus Builder – Professional Edition

IMPORTANT-READ CAREFULLY:

This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and Thesaurus Builder ("AUTHOR") for the software product identified above which may include associated software components, media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT.

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

1. GRANT OF LICENSE. The SOFTWARE PRODUCT is licensed as follows:

The license is granted only upon payment of the list value of the license to THE AUTHOR, either directly, or via an AUTHOR approved supplier.

Installation and Use:

THE AUTHOR grants you the right to install and use copies of the SOFTWARE PRODUCT on your computers running validly licensed copies of the operating system for which the SOFTWARE PRODUCT was designed [e.g., Windows(r) 98; Windows NT(r), Windows 3.x, Macintosh, etc.].

The LICENSE allows personal non-commercial use on a single machine only. Also, it permits you to use the SOFTWARE PRODUCT within a commercial organization, where profit is not made from the use of the SOFTWARE PRODUCT.

Backup Copies:

You may also make copies of the SOFTWARE PRODUCT as may be necessary for backup and archival purposes.

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.

Maintenance of Copyright Notices:

You must not remove or alter any copyright notices on all copies of the SOFTWARE PRODUCT.

Distribution:

You may not distribute copies of the SOFTWARE PRODUCT to third parties.

Prohibition on Reverse Engineering, Decompilation, and Disassembly:

You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation. Modification of distributed files is also expressly forbidden.

Rental and transfer:

You may not rent, lease, grant a security interest in, or otherwise transfer rights to the SOFTWARE PRODUCT.

Support Services:

THE AUTHOR may at his discression provide you with support services related to the SOFTWARE PRODUCT ("Support Services"). Use of Support Services is governed by the AUTHOR's polices and programs described in the user manual, in "on line" documentation and/or other AUTHOR-provided materials. Any supplemental software code provided to you as part of the Support Services shall be considered part of the SOFTWARE PRODUCT and subject to the terms and conditions of this EULA. With respect to technical information you provide to THE AUTHOR as part of the Support Services, THE AUTHOR may use such information for his business purposes, including for product support and development. THE AUTHOR will not utilize such technical information in a form that personally identifies you.

Compliance with Applicable Laws:

You must comply with all applicable laws regarding use of the SOFTWARE PRODUCT.

3. TERMINATION

Without prejudice to any other rights, THE AUTHOR may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT.

4. COPYRIGHT

All title, including but not limited to copyrights, in and to the SOFTWARE PRODUCT and any copies thereof are owned by THE AUTHOR or its suppliers. All title and intellectual property rights in and to the content which may be accessed through use of the SOFTWARE PRODUCT is the property of the respective content owner and may be protected by applicable copyright or other intellectual property laws and treaties. This EULA grants you no rights to use such content. All rights not expressly granted are reserved by THE AUTHOR.

5. NO WARRANTIES

THE AUTHOR expressly disclaims any warranty for the SOFTWARE PRODUCT. THE SOFTWARE PRODUCT AND ANY RELATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OR MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE PRODUCT REMAINS WITH YOU.

6. LIMITATION OF LIABILITY

To the maximum extent permitted by applicable law, in no event shall THE AUTHOR or his suppliers be liable for any special, incidental, indirect, or consequential damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use the SOFTWARE PRODUCT or the provision of or failure to provide Support Services, even if THE AUTHOR has been advised of the possibility of such damages. In any case, THE AUTHOR's entire liability under any provision of this EULA shall be limited to the greater of the amount actually paid by you for the SOFTWARE PRODUCT. Furthermore, some countries do not allow the exclusion or limitation of incidental or consequential damages, so this limitation and exclusion may not apply to you.

7. Privacy Policy

April 01, 2008

This Policy applies to all of the products, services and websites offered by Thesaurus Builder or its subsidiaries or affiliated companies.

If you have any questions about this Policy, please feel free to contact us through our website or write to us at Privacy Matters, Thesaurus Builder, P.O. Box 13145-1536, Tehran – Iran.

Information we collect and how we use it:

We offer a number of services that do not require you to register for an account or provide any personal information to us, such as ASP pages produced by Thesaurus Builder software. In order to provide our full range of services, we may collect the following types of information:

• ASP web site cookies - When you visit ASP web site produced by Thesaurus Builder software, Thesaurus Builder, we send one or more cookies - a small file containing a string of characters - from the host server to your computer that uniquely identifies your browser. We use cookies to improve the quality of our service by storing user preferences. Most browsers are initially set up to accept cookies, but you can reset your browser to refuse all cookies or to indicate when a cookie is being sent.

• Log information - When you use Thesaurus Builder services, our servers automatically record information that your browser sends whenever you visit a website. These server logs may include information such as your web request, Internet Protocol address, browser type, browser language, the date and time of your request and one or more cookies that may uniquely identify your browser.

• User communications - When you send email or other communication to Thesaurus Builder, we may retain those communications in order to process your inquiries, respond to your requests and improve our services.

Thesaurus Builder only processes personal information for the purposes described in the applicable Privacy Policy and/or privacy notice for specific services. In addition to the above, such purposes include:

• Auditing, research and analysis in order to maintain, protect and improve our services;

• Developing new services.

Thesaurus Builder processes personal information on our servers in the United States of America, Iran and in the Netherlands. In some cases, we process personal information on a server outside your own country. We may process personal information to provide our own services.

Information sharing

Thesaurus Builder never shares personal information with other companies or individuals outside of Thesaurus Builder.

If Thesaurus Builder becomes involved in a merger, acquisition, or any form of sale of some or all of its assets, we will provide notice before personal information is transferred and becomes subject to a different privacy policy.

We may share with third parties certain pieces of aggregated, non-personal information, such as the number of users who searched for a particular term. Such information does not identify you individually.

Please contact us at the address below for any additional questions about the management or use of personal data.

Information security

We take appropriate security measures to protect against unauthorized access to or unauthorized alteration, disclosure or destruction of data. These include internal reviews of our data collection, storage and processing practices and security measures, as well as physical security measures to guard against unauthorized access to systems where we store personal data.

We restrict access to personal information to Thesaurus Builder employees, contractors and agents who need to know that information in order to operate, develop or improve our services. These individuals are bound by confidentiality obligations and may be subject to discipline, including termination and criminal prosecution, if they fail to meet these obligations.

Data integrity

Thesaurus Builder processes personal information only for the purposes for which it was collected and in accordance with this Policy or any applicable service-specific privacy notice. We review our data collection, storage and processing practices to ensure that we only collect, store and process the personal information needed to provide or improve our services. We take reasonable steps to ensure that the personal information we process is accurate, complete, and current, but we depend on our users to update or correct their personal information whenever necessary.

Enforcement

Thesaurus Builder regularly reviews its compliance with this Policy. Please feel free to direct any questions or concerns regarding this Policy by contacting us or by writing to us at Privacy Matters, Thesaurus Builder, P.O. Box 13145-1536, Tehran - Iran. When we receive formal written complaints at this address, it is Thesaurus Builder's policy to contact the complaining user regarding his or her concerns. We will cooperate with the appropriate regulatory authorities, including local data protection authorities, to resolve any complaints regarding the transfer of personal data that cannot be resolved between Thesaurus Builder and an individual.

Changes to this policy

Please note that this Privacy Policy may change from time to time. We will not reduce your rights under this Policy without your explicit consent, and we expect most such changes will be minor. Regardless, we will post any Policy changes on this page and, if the changes are significant, we will provide a more prominent notice (including, for certain services, email notification of Policy changes). Each version of this Policy will be identified at the License Agreement of the online help documentation of our product by its effective date.

If you have any additional questions or concerns about this Policy, please feel free to contact us any time through this web site or at Privacy Matters, Thesaurus Builder, P.O. Box 13145-1536, Tehran – Iran.


Concept Number Configuration window

There are several parameters for assigning concept number to the new terms and checking in use concept numbers before deleting them. All of these parameters are integrated into the ‘Concept Number Configuration’ window.

To find how to manage the concept numbers parameters, see Concept Number Configuration.


Customize the form of web pages

Some HTML template files have been copied into the "[Install Directory]\Web Templates\".

The template files and the role of them are listed here:

Home.html | The main HTML file is created based on this file.
HomeReturn.html | When a user clicks on the search button with a blank search string, a web page is created base on this file. Usually Home.html and HomeReturn.html are the same.
NoResult.html | If there was no result for which the user wants to search, a web page is created and shown that is based on this file.
SearchError.html | Each time the user clicks on a term link and its information had not been found in the thesaurus database, or any problem has been occurred while searching the thesaurus, a web page shows the user what has been created by this file. This file is also used for any corrupted term links.
SearchResult.html | The first 100 temrs of the search results is shown in a web page based on this file.
TermView.html | The information of terms and their ancillary data are shown based on this file. The form of displaying information is quite the same as the RTF Alphabetical Display report. In other words, you can change the form of information by using the Print Preferences.

Also, there is another directory - "[Install directory]\Web Templates\Images\" - that contains the necessary images of the templates. All of the files in this directory are fully copied into the web server.

Tip: After customizing the templates you can put any additional files in the images directory whether images or not.

You can edit any part of the HTML template files and change the form of them except the lines which are specified with comments. There are some tags in the template files which Trias Politica Thesaurus Builder uses them to generate HTML files. You can use these tags while customizing template files. For more information see HTML Tags.


Export to HTML for the WEB

An HTML generator is provided in Trias Politica Thesaurus Builder to make a full hyperlinked and searchable set of HTML files. You can simply put these files on your server for your clients.

To generate the HTML files choose 'File > Import and Export and select 'Export to WEB database (ready to publish on the Internet)' and click on 'Continue'; then select a name for the main HTML file. You don't need to do any more except copying the generated files into your web server and making a link to the main HTML file.

We do recommend you to the newly facility of Thesaurus Builder to produce ASP web site for your thesauri.

Notice: Generating the HTML files may take several minutes.

Notice: All the web application and database files that are generated are working ONLY on Windows 2000/2003 Server families. Also, it doesn't work directly from Hard Disks or CDs.

For more information see also:

How to move HTML generated files into the server

Customize the form of templates

How to search thesaurus information

Export to ASP for the WEB


External Link Tags

Here is the list of virtual ‘External Link Tags’ that are used in the 'External Link' fields.

It is assumed that the HTML generated files are saved under the name of "MyThes.html" and are put in the [Web server root dir]\thesaurus. The address of the server is "http://www.MyWeb.com".

HTML Tag | Description | Example | Note
<#Host> | Host Address | http://www.MyWeb.com |
<#WebCGIPath> | "http://" + Host Address + Main HTML file name (no ext) | http://www.MyWeb.com/MyThes |
<#ImagesPath> | "http://" + HostAddress + ScriptPath + "Images/" | http://www.MyWeb.com/MyThes/Images/ |
<#MainTerm> | The term which is clicked by user. | Asia |
<#CN> | Concept Number | 19165 |

Notice: Case matters.


How to move HTML generated files into the server

To put the HTML generated files into the web server, either:

Generate HTML files directly on the wwwroot directory of your server or one of its subdirectories.

Or:

Trias Politica Thesaurus Builder copies all necessary files into a subdirectory absolutely next to the main HTML file and selects the same name for it. After generating the HTML files, copy the main HTML file and the corresponsive subdirectory into an intermediate medium, then on the server computer into the wwwroot directory or one of its subdirectories.

Then make a link to the main HTML file in your existing web pages or make it as your web server home page. As a last step, make the generated directory available to execute CGI web applications.


How to search thesaurus information

After copying HTML generated files to the web server, you can search your thesaurus by using the search tool. There are three options for search:

Any part of term

When you checked this item, all the words of search string are separated by spaces. The results are the terms that contain all of the separated words. If you want to search for a phrase in any part of the terms, you need put double quotations before and after the phrase.

Example:

If you write 'Thes software', the results are the terms that contain 'Thes' and 'software' in any part of the term. For example 'Thesaurus software' and 'thesaurus management software' may be the results. If you write '"Thesaurus management" soft', the results are the terms which contains 'Thesaurus management' and 'soft'. For instance 'Thesaurus management software' may be the result.

Match from start

By checking this item, web application searches for the terms that match to the search string just from the start. Double quotations are ignored.

Match whole term

If you want to search for a term that fully matches with the search string, check this item. In this case the double quotations are ignored too.

Notice: Only the first 100 terms of the results are shown by each search. To find your best answer, try to narrow your searches by choosing best keywords.

Tip: When you select the first item, you can search the information with a combination of languages. For instance, the first word of the search string can be English, the second Persian and the third can be Russian. In this case the results are the terms that contain each of these words either in the main language or in the translations.

The details of a given term can be shown by clicking the term itself.


HTML Tags

Here is the list of virtual ‘HTML Tags’ that are used in the HTML template files. You can use these tags while customizing the template files.

It is assumed that the HTML generated files are saved under the name of "MyThes.html" and are put in the [Web server root dir]\thesaurus. The address of the server is "http://www.MyWeb.com".

HTML Tag

Description

Example

Note

<#Host>

Host Address

http://www.MyWeb.com

  • Not used in Home.html

<#WebCGIPath>

Home.html:

Main HTML file name (no ext)

MyThes

Others:

"http://" + Host Address + Main HTML file name (no ext)

http://www.MyWeb.com/MyThes

<#ImagesPath>

Home.html:

Main HTML file name (no ext) + "/Images/"

MyThes/Images/

Others:

"http://" + HostAddress + ScriptPath + "Images/"

http://www.MyWeb.com/MyThes/Images/

<#PageDirection>

"rtl" for right to left language thesauri and "ltr" for left to right language thesauri.

ltr

  • Not used in Home.html

<#Align>

"right" for right to left language thesauri and "left" for left to right language thesauri.

left

  • Not used in Home.html

<#R1Checked>

Internal use

  • Do not use.

<#R2Checked>

Internal use

  • Do not use.

<#R3Checked>

Internal use

  • Do not use.

<#ResultRows>

The terms which are found as the result of search process.

  • Used only in SearchResult.html

  • Hyperlinked.

  • Must be put in an HTML table.

<#TermImage>

The image which is assigned to the term.

<#SearchString>

The searched term(s)

Asia

  • Not used in Home.html

<#Top Term>

Top Term

Earth

  • Used only in TermView.html

  • Must be put in an HTML table.

<#MainTerm>

The term which is clicked by user.

Asia

  • Used only in TermView.html

  • Must be put in an HTML table.

<#CN>

Concept Number

19165

  • Used only in TermView.html

  • Must be put in an HTML table.

<#ScopeNote>

Scope Note

A geographic name.

  • Used only in TermView.html

  • Must be put in an HTML table.

<#USE>

Preferred Term

  • Used only in TermView.html

  • Hyperlinked.

  • Must be put in an HTML table.

<#UF>

Non-Preferred Terms

  • Used only in TermView.html

  • Hyperlinked.

  • Must be put in an HTML table.

<#SEE>

Preferred Term

  • Used only in TermView.html

  • Hyperlinked.

  • Must be put in an HTML table.

<#SF>

Non-Preferred Terms

  • Used only in TermView.html

  • Hyperlinked.

  • Must be put in an HTML table.

<#Synonym>

Synonyms

  • Used only in TermView.html

  • Must be put in an HTML table.

<#Opposite>

Opposite Terms

  • Used only in TermView.html

  • Hyperlinked.

  • Must be put in an HTML table.

<#RT>

Related Terms

Europa

  • Used only in TermView.html

  • Hyperlinked.

  • Must be put in an HTML table.

<#ABB>

Abbreviation

  • Used only in TermView.html

  • Hyperlinked.

  • Must be put in an HTML table.

<#ABF>

Abbreviation for

  • Used only in TermView.html

  • Hyperlinked.

  • Must be put in an HTML table.

<#CA>

Chemical abstract registry number

  • Used only in TermView.html

  • Must be put in an HTML table.

<#EC>

IUBMB enzyme committee number

  • Used only in TermView.html

  • Must be put in an HTML table.

<#CT>

Corresponding Terms

  • Used only in TermView.html

  • Must be put in an HTML table.

<#INE>

Identical National Equivalent

  • Used only in TermView.html

  • Must be put in an HTML table.

<#NNE>

Nearest National Equivalent

  • Used only in TermView.html

  • Must be put in an HTML table.

<#Frequency>

Frequency

1000

  • Used only in TermView.html

  • Must be put in an HTML table.

<#InputDate>

Input Date

November 1972

  • Used only in TermView.html

  • Must be put in an HTML table.

<#ApprovalDate>

Appoval Date

May 1974

  • Used only in TermView.html

  • Must be put in an HTML table.

<#LastUpdate>

Last Update

April 1999

  • Used only in TermView.html

  • Must be put in an HTML table.

<#NotValidDate>

Not Valid Date

July 2003

  • Used only in TermView.html

  • Must be put in an HTML table.

<#SC>

Subject category

Geo0001

  • Used only in TermView.html

  • Must be put in an HTML table.

<#HN>

Historical Note

  • Used only in TermView.html

  • Must be put in an HTML table.

<#Description>

Description

  • Used only in TermView.html

  • Must be put in an HTML table.

<#(language)>

Translation of the term in language

  • Used only in TermView.html

  • Must be put in an HTML table.

  • Replace the language with the language name of the translated term. (see Supported Languages)

<#BT>

Broader Terms

Earth

  • Used only in TermView.html

  • Hyperlinked.

  • Must be put in an HTML table.

<#NT>

Narrower Terms

Iran

  • Used only in TermView.html

  • Hyperlinked.

  • Must be put in an HTML table.

Notice: Case matters.

See also: Export to HTML for the WEB


Languages and Font Settings window

Since the Trias Politica Thesaurus Builder provides tools for constructing multilingual thesauri, it is necessary to change the font of the software components to see the correct representation of the thesaurus languages. You can change the font of the languages which are used in the thesaurus individually.

The languages that you want to show in the ‘Main Properties’ tab sheet can be selected in this window.

For more information see Changing Languages and Font Settings.


Options menu

Use ‘Options’ menu commands to access to the program options parameter.

Language and Font Settings | Changes the fonts of the Trias Politica Thesaurus Builder components as necessary.
Print Preferences | Changes the form of exported RTF files.
Concept Number Configuration | Selects available concept number range and activates checking for in use concept numbers.
PSF Format Configuration | Determines the default Collexis™ .PSF format or Advanced .PSF format.
Load Defaults | Loads the default values of the preferences for the current thesaurus.


Output Format

Type topic text here.


Print Preferences window

In this window, there are many options to change the form of the printable RTF reports, HTML generated files and XML outputs.

To open the ‘Print Preferences’ window, choose Options > Print Preferences.

You can change print preferences for:

Fonts

Fields and Symbols

Report Restrictions

Form of Thesaurus

By clicking on the proper button of each category, a window containing the category parameters will be opened and you can customize them for your needs.

To know more about ‘Print Preferences’ see Print Preferences.


PSF Format Configuration

You can export a limited number of fields of your thesaurus information to .PSF file format. PSF file format is provided by Collexis™ to keep these fields of thesaurus:

The preferred terms (all languages)

Synonyms (all languages)

Descriptions (main language only)

It also uses the ASCII (8859-1) as its standard code page. So the default Collexis™ .PSF file format can support only western European languages.

By selecting the UTF8 radio button, the Trias Politica Thesaurus Builder produces an enhanced version of the .PSF format that can support all languages (see Supported Languages). And also, you can add the description of all languages to the .PSF file format by checking the ‘Add description of translations’ on.

Notice: the enhanced features are not supported by Collexis™ yet. So if you want to keep the compatibility of the .PSF file format with Collexis™ .PSF format, you have to select ASCII and uncheck the ‘Add description of translations’.


PSF Format Configuration window

There are a few parameters for exporting to the .PSF file format to keep its compatibility with default Collexis™ .PSF file format or make an enhanced .PSF file format (see below).

See Export to Collexis™ .psf Format for the details of the parameters.


View menu

Some other windows of the Trias Politica Thesaurus Builder can be accessed by this menu.

Quality Issue Report | Showing the result of the thesaurus quality checks.
Stop Lists | Changing the stop list words.